#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0xe4bed4a3, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x65602a3b, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0x072e26cd, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0xbdce16ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdd67004, "__pm_runtime_disable" },
	{ 0xefac8702, "__pm_runtime_set_status" },
	{ 0x1b82ff24, "iio_trigger_unregister" },
	{ 0x2109c408, "iio_triggered_buffer_cleanup" },
	{ 0x2dd52729, "regulator_bulk_disable" },
	{ 0x9a702706, "devm_iio_device_alloc" },
	{ 0x55ed9f94, "is_acpi_device_node" },
	{ 0x89b53c95, "iio_read_mount_matrix" },
	{ 0xb5b739ee, "devm_regulator_bulk_get" },
	{ 0x4a158de3, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xa36caf95, "iio_triggered_buffer_setup_ext" },
	{ 0x72378e8a, "devm_request_threaded_irq" },
	{ 0xc3317bdb, "iio_device_id" },
	{ 0xab3ac62b, "__devm_iio_trigger_alloc" },
	{ 0xf9e029f0, "iio_trigger_register" },
	{ 0xcd1f5878, "pm_runtime_enable" },
	{ 0x41041ff, "pm_runtime_set_autosuspend_delay" },
	{ 0x1b8ac90a, "__pm_runtime_use_autosuspend" },
	{ 0xc6e80cbd, "__iio_device_register" },
	{ 0x42720829, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37a0cba, "kfree" },
	{ 0x85504d44, "dev_err_probe" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0x5b670c63, "iio_read_const_attr" },
	{ 0x7b5c3a4b, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeda5ebeb, "regmap_write" },
	{ 0xbdd23244, "regmap_get_device" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xfcebbbc6, "iio_get_time_ns" },
	{ 0xcb06f50, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4f8f812b, "regmap_update_bits_base" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68139353, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfb6f0f81, "__pm_runtime_suspend" },
	{ 0xf6f19f91, "regmap_read" },
	{ 0x36bca00f, "iio_buffer_enabled" },
	{ 0x67d491dd, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa09df72, "iio_device_get_current_mode" },
	{ 0xe7eb0a24, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdb9e51d3, "iio_push_to_buffers" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x42ab3a7e, "iio_push_event" },
	{ 0x10de7d73, "iio_trigger_notify_done" },
	{ 0xfd5debc3, "iio_device_unregister" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "CB5BF596FEB1B26CB0E974F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
