#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mma9551_read_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_update_config_bits, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_gpio_config, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_version, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_device_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_power_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_sleep, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_chan, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_scale, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_app_reset, "", "IIO_MMA9551");

SYMBOL_CRC(mma9551_read_config_byte, 0xee90ff6d, "");
SYMBOL_CRC(mma9551_write_config_byte, 0xb6a9c827, "");
SYMBOL_CRC(mma9551_read_status_byte, 0x5397f72d, "");
SYMBOL_CRC(mma9551_read_config_word, 0x5f7f789b, "");
SYMBOL_CRC(mma9551_write_config_word, 0x72b96411, "");
SYMBOL_CRC(mma9551_read_status_word, 0x291e3e03, "");
SYMBOL_CRC(mma9551_read_config_words, 0x35328493, "");
SYMBOL_CRC(mma9551_read_status_words, 0xc05239d0, "");
SYMBOL_CRC(mma9551_write_config_words, 0xb8e13d23, "");
SYMBOL_CRC(mma9551_update_config_bits, 0x0fbf12f2, "");
SYMBOL_CRC(mma9551_gpio_config, 0x8232e2ed, "");
SYMBOL_CRC(mma9551_read_version, 0xf11d59e4, "");
SYMBOL_CRC(mma9551_set_device_state, 0x69efc7d4, "");
SYMBOL_CRC(mma9551_set_power_state, 0xe080009c, "");
SYMBOL_CRC(mma9551_sleep, 0xbcd7fe96, "");
SYMBOL_CRC(mma9551_read_accel_chan, 0xa4fe8abd, "");
SYMBOL_CRC(mma9551_read_accel_scale, 0x41ef446c, "");
SYMBOL_CRC(mma9551_app_reset, 0x58381a72, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69acdf38, "memcpy" },
	{ 0x118fc8e1, "i2c_transfer" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0x68139353, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfb6f0f81, "__pm_runtime_suspend" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BF732B0FB83CD26C976C38B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
