#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x384a0f85, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x925478a8, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x6fe3220c, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0xadc8f3aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b8ac90a, "__pm_runtime_use_autosuspend" },
	{ 0xfb6f0f81, "__pm_runtime_suspend" },
	{ 0xefac8702, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1b82ff24, "iio_trigger_unregister" },
	{ 0xc7a342e6, "iio_trigger_free" },
	{ 0x2109c408, "iio_triggered_buffer_cleanup" },
	{ 0xbdd67004, "__pm_runtime_disable" },
	{ 0xaaa58aad, "sensor_hub_device_close" },
	{ 0x3e6166e4, "hid_sensor_get_usage_index" },
	{ 0xd2647962, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x21d74bcf, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x69f97ea6, "sensor_hub_device_open" },
	{ 0xd545e3a1, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc70b6a3b, "hid_sensor_set_report_latency" },
	{ 0x95d7f375, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x6d13259c, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xa36caf95, "iio_triggered_buffer_setup_ext" },
	{ 0xc3317bdb, "iio_device_id" },
	{ 0xa506d952, "__iio_trigger_alloc" },
	{ 0xf9e029f0, "iio_trigger_register" },
	{ 0xd6a4f070, "get_device" },
	{ 0xdf642baa, "__module_get" },
	{ 0x41041ff, "pm_runtime_set_autosuspend_delay" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcd1f5878, "pm_runtime_enable" },
	{ 0x68139353, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "4925A92A9B7B92364117342");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
