#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x6bcdaee6, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xdbd0cebf, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xe30e5b96, "");
SYMBOL_CRC(rdma_res_to_id, 0xe1873868, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x8de8accf, "");
SYMBOL_CRC(rdma_create_user_id, 0x5468811f, "");
SYMBOL_CRC(rdma_create_qp, 0x0691480a, "");
SYMBOL_CRC(rdma_destroy_qp, 0x91b91396, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x5986b7ae, "");
SYMBOL_CRC(rdma_destroy_id, 0x95bf2828, "");
SYMBOL_CRC(rdma_get_service_id, 0xda490040, "");
SYMBOL_CRC(rdma_read_gids, 0x0b61fe2f, "");
SYMBOL_CRC(rdma_set_service_type, 0xc7b3109d, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x972190d2, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xea37cd64, "");
SYMBOL_CRC(rdma_set_ib_path, 0x072ca137, "");
SYMBOL_CRC(rdma_resolve_route, 0xc3a1a0b1, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x941dff10, "");
SYMBOL_CRC(rdma_set_afonly, 0xbdc25779, "");
SYMBOL_CRC(rdma_listen, 0x13c3bfbb, "");
SYMBOL_CRC(rdma_resolve_addr, 0x1aa6289c, "");
SYMBOL_CRC(rdma_bind_addr, 0x2f821d05, "");
SYMBOL_CRC(rdma_connect_locked, 0xa3d47d3a, "");
SYMBOL_CRC(rdma_connect, 0x0a590a0d, "");
SYMBOL_CRC(rdma_connect_ece, 0x6025882d, "");
SYMBOL_CRC(rdma_accept, 0xe2ab5916, "");
SYMBOL_CRC(rdma_accept_ece, 0x17b8e312, "");
SYMBOL_CRC(rdma_lock_handler, 0x4ff1d6df, "");
SYMBOL_CRC(rdma_unlock_handler, 0xf72894d9, "");
SYMBOL_CRC(rdma_notify, 0x52436199, "");
SYMBOL_CRC(rdma_reject, 0x233baee9, "");
SYMBOL_CRC(rdma_disconnect, 0x5061847e, "");
SYMBOL_CRC(rdma_join_multicast, 0x1b3baea4, "");
SYMBOL_CRC(rdma_leave_multicast, 0xabc21d54, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x3adb23a9, "iw_cm_connect" },
	{ 0xf1753d43, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xff392d5f, "rdma_addr_cancel" },
	{ 0x72c3eb53, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x1d2e90e2, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xff5ac1d9, "ib_register_client" },
	{ 0x3b2e6c, "ib_sa_path_rec_get" },
	{ 0x4a973eb4, "ib_create_cm_id" },
	{ 0xc1a30e46, "__ip_mc_dec_group" },
	{ 0x8fa0639c, "vlan_dev_real_dev" },
	{ 0x43eb62e4, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xcb1e8bd0, "perf_trace_run_bpf_submit" },
	{ 0xa75473c2, "ib_init_ah_from_mcmember" },
	{ 0xd7a2760c, "rdma_destroy_ah_attr" },
	{ 0xb4c4049b, "ib_set_client_data" },
	{ 0x1cb52464, "init_net" },
	{ 0xb0e60730, "ib_get_cached_pkey" },
	{ 0x256426, "configfs_register_subsystem" },
	{ 0x68ba4a71, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x274ddf0, "rdma_put_gid_attr" },
	{ 0x64151317, "config_group_init_type_name" },
	{ 0x6e641a4a, "dev_get_by_index" },
	{ 0x95ecb64f, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x46546905, "ib_send_cm_rep" },
	{ 0x321fe1b7, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xce0f2572, "iw_cm_disconnect" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x15b43b6f, "bpf_trace_run1" },
	{ 0x85fb8f98, "ib_destroy_qp_user" },
	{ 0x915774d3, "unregister_pernet_subsys" },
	{ 0x11c278f7, "ib_cm_init_qp_attr" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0xc9b8e2d2, "ib_send_cm_drep" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8afc34e9, "rdma_restrack_set_name" },
	{ 0xee5ceef1, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xd85f80b5, "ib_get_cached_port_state" },
	{ 0x5eae8bcd, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7ba7c3f6, "rdma_restrack_del" },
	{ 0x3b562706, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x82b21902, "bpf_trace_run3" },
	{ 0xff652a57, "__put_net" },
	{ 0xb1ae5779, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe622f083, "iw_cm_accept" },
	{ 0xfcbb0614, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x8bf72111, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a85a222, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x64f192f3, "iw_cm_init_qp_attr" },
	{ 0xa5141a6f, "dst_release" },
	{ 0xfdd7c1d2, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x11f4c811, "ib_send_cm_dreq" },
	{ 0xaae17502, "ib_send_cm_req" },
	{ 0xe2e218e7, "ib_create_qp_kernel" },
	{ 0x7216b42, "ib_sa_join_multicast" },
	{ 0x1333ac33, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7c8264d2, "rdma_get_gid_attr" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x905e1a86, "rdma_restrack_new" },
	{ 0x5a3aabf, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7d795f30, "iw_cm_listen" },
	{ 0x53e132f5, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd56f5c7, "rdma_copy_src_l2_addr" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x70dbc4cf, "rdma_resolve_ip" },
	{ 0x188218b7, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfc8ebefe, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xac35da8b, "ib_unregister_client" },
	{ 0x597c4210, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xabb7b121, "ib_send_cm_sidr_rep" },
	{ 0x405b3e79, "bpf_trace_run4" },
	{ 0x35d9b29b, "config_group_init" },
	{ 0x49311e8f, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x263d8f06, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x65359102, "trace_raw_output_prep" },
	{ 0xedf37cd4, "ib_cm_insert_listen" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8d1b1c24, "__trace_trigger_soft_disabled" },
	{ 0x979bb85d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7c8b7816, "ib_sa_register_client" },
	{ 0xc52c618e, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd72345a5, "rdma_query_gid" },
	{ 0x2de2c15, "rt6_lookup" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0xe4f598ed, "rdma_translate_ip" },
	{ 0x3fbc28e6, "bpf_trace_run2" },
	{ 0x89d1de22, "rdma_dev_access_netns" },
	{ 0x594a428a, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x322162b2, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12dcf921, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9242d8e9, "register_pernet_subsys" },
	{ 0x21e42c2e, "trace_event_buffer_commit" },
	{ 0xab64c398, "ip_mc_inc_group" },
	{ 0x61427bdf, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x385c26fb, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "B4D78357DFEC66FD13B0110");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
