#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0xade04dc9, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0xd2f2d55b, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x9f524d5e, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xb9aa22b9, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x187bdfdc, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x81627f30, "_gpl");
SYMBOL_CRC(is_fw_load, 0xff6a7f53, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x83fbfaa2, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x80ce2b1a, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x87c72b18, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xaf573a1a, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x795726ca, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x300769f2, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0xf868bdf5, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0xf9f3f594, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xcd09b4ff, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x85e3f4f3, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x2d1b0075, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0xf187b89d, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x18f49801, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x8babde1e, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x6ca8d608, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb3e0d710, "usb_clear_halt" },
	{ 0xdda3b6be, "usb_put_dev" },
	{ 0x2e65e94b, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc7eab51e, "video_devdata" },
	{ 0xb3b83b2, "vb2_fop_release" },
	{ 0x2ee960fc, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x5fadaa48, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc4f13423, "usb_submit_urb" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0xe8d91edc, "i2c_del_adapter" },
	{ 0x661d861f, "media_device_register_entity" },
	{ 0xb7aad73f, "media_device_cleanup" },
	{ 0xa0a4d558, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0xcdda20f8, "i2c_unregister_device" },
	{ 0xabb0aad0, "usb_free_coherent" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb98a274b, "usb_control_msg" },
	{ 0x19d33780, "vb2_buffer_done" },
	{ 0x1aea09da, "vb2_plane_vaddr" },
	{ 0xffd59ad9, "v4l2_ctrl_subscribe_event" },
	{ 0x575454e8, "usb_set_interface" },
	{ 0x45870fed, "media_entity_pads_init" },
	{ 0x84e9370a, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdd944996, "i2c_new_client_device" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75edce47, "usb_deregister" },
	{ 0xc84aa796, "vb2_ioctl_qbuf" },
	{ 0x922f3d6, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xcc0afd94, "v4l2_s_ctrl" },
	{ 0xf621b56b, "i2c_mux_alloc" },
	{ 0x3053b129, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x806a4f6c, "vb2_fop_read" },
	{ 0x2a8f8dc8, "v4l2_device_register" },
	{ 0x979d8dfd, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2d98dcf, "rc_allocate_device" },
	{ 0x4fa71f9e, "pv_ops" },
	{ 0x23801886, "usb_unlink_urb" },
	{ 0xadc95d7d, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5fae07f4, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1b3783b2, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcccd30e7, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd48c6d48, "vb2_ioctl_streamon" },
	{ 0x9df5a722, "v4l2_mc_create_media_graph" },
	{ 0xc13a94cd, "vb2_fop_poll" },
	{ 0x765a51c7, "cx2341x_handler_init" },
	{ 0x6b274cf2, "cx2341x_handler_set_50hz" },
	{ 0xea8d61fd, "__media_device_usb_init" },
	{ 0x4474c7f8, "v4l2_ctrl_handler_free" },
	{ 0x118fc8e1, "i2c_transfer" },
	{ 0x3b06919c, "v4l2_device_unregister" },
	{ 0xb0e0bfa5, "usb_reset_endpoint" },
	{ 0x2785c5b9, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x43bd7778, "v4l2_subdev_call_wrappers" },
	{ 0xbbd0679b, "v4l2_ctrl_log_status" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xe2be5f94, "v4l2_i2c_new_subdev" },
	{ 0xbd22ade2, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xe526ff8e, "video_device_release_empty" },
	{ 0xc61fcda9, "i2c_mux_add_adapter" },
	{ 0x51107d70, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6be06574, "v4l2_event_unsubscribe" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x355eccb5, "vb2_ioctl_reqbufs" },
	{ 0x5789174, "vb2_queue_init" },
	{ 0x311da206, "usb_alloc_urb" },
	{ 0x81ce1d2b, "v4l2_ctrl_poll" },
	{ 0x31833cb2, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5c2cf7e2, "media_device_unregister" },
	{ 0x3c443a9f, "usb_free_urb" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0xd113f65a, "vb2_ioctl_streamoff" },
	{ 0xd88bb347, "v4l2_ctrl_radio_filter" },
	{ 0x579d85f5, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdb8f0620, "v4l2_ctrl_add_handler" },
	{ 0x61363900, "request_firmware" },
	{ 0xaa65f6db, "vb2_ops_wait_finish" },
	{ 0x5e376172, "usb_register_driver" },
	{ 0x7ab5d89a, "v4l2_ctrl_handler_init_class" },
	{ 0xca70403c, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c64e101, "__media_device_register" },
	{ 0xb7c4b7cf, "vb2_ioctl_querybuf" },
	{ 0x3a9d02c0, "i2c_transfer_buffer_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xf2faa5c9, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "925A275FD4D61A1C73B7BA2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
