#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0x1adba36b, "");
SYMBOL_CRC(go7007_read_addr, 0x4fa2dee1, "");
SYMBOL_CRC(go7007_boot_encoder, 0x1dc0e9c8, "");
SYMBOL_CRC(go7007_register_encoder, 0x0a4b4ed0, "");
SYMBOL_CRC(go7007_parse_video_stream, 0xc810147a, "");
SYMBOL_CRC(go7007_alloc, 0xa7ff390c, "");
SYMBOL_CRC(go7007_update_board, 0xda682d31, "");
SYMBOL_CRC(go7007_snd_init, 0x5f1f5b46, "");
SYMBOL_CRC(go7007_snd_remove, 0xd421d253, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb6cafb9, "snd_pcm_set_managed_buffer_all" },
	{ 0xb783336d, "param_ops_charp" },
	{ 0xa1580712, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x806a4f6c, "vb2_fop_read" },
	{ 0x2a8f8dc8, "v4l2_device_register" },
	{ 0x979d8dfd, "i2c_add_adapter" },
	{ 0x3ef7ad9c, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x24067450, "param_ops_bool" },
	{ 0x5fae07f4, "__video_register_device" },
	{ 0x1b3783b2, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd48c6d48, "vb2_ioctl_streamon" },
	{ 0xc13a94cd, "vb2_fop_poll" },
	{ 0xa2f29474, "v4l2_ctrl_new_std" },
	{ 0x7cc4906e, "v4l2_ctrl_g_ctrl" },
	{ 0x4474c7f8, "v4l2_ctrl_handler_free" },
	{ 0x3b06919c, "v4l2_device_unregister" },
	{ 0x43bd7778, "v4l2_subdev_call_wrappers" },
	{ 0xa43795e0, "snd_pcm_period_elapsed" },
	{ 0xbbd0679b, "v4l2_ctrl_log_status" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xd78f1a33, "v4l2_event_queue" },
	{ 0xbd22ade2, "param_ops_int" },
	{ 0xe526ff8e, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6be06574, "v4l2_event_unsubscribe" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x355eccb5, "vb2_ioctl_reqbufs" },
	{ 0x5789174, "vb2_queue_init" },
	{ 0x31833cb2, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf7bd63f8, "v4l2_device_put" },
	{ 0xd113f65a, "vb2_ioctl_streamoff" },
	{ 0xb0e602eb, "memmove" },
	{ 0xca21bc12, "snd_pcm_new" },
	{ 0x73aa726f, "snd_card_register" },
	{ 0x1380456f, "v4l2_i2c_new_subdev_board" },
	{ 0x712d7155, "snd_card_free" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x61363900, "request_firmware" },
	{ 0xaa65f6db, "vb2_ops_wait_finish" },
	{ 0x7ab5d89a, "v4l2_ctrl_handler_init_class" },
	{ 0xca70403c, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb7c4b7cf, "vb2_ioctl_querybuf" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xf2faa5c9, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc7eab51e, "video_devdata" },
	{ 0xb3b83b2, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0xe8d91edc, "i2c_del_adapter" },
	{ 0x5f3fa667, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4a08ce85, "__v4l2_ctrl_grab" },
	{ 0xa0a4d558, "vb2_ioctl_dqbuf" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x559d665d, "v4l2_ctrl_new_custom" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x917f129a, "snd_card_free_when_closed" },
	{ 0x19d33780, "vb2_buffer_done" },
	{ 0x1aea09da, "vb2_plane_vaddr" },
	{ 0xffd59ad9, "v4l2_ctrl_subscribe_event" },
	{ 0x8e8eb361, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x467bc57, "v4l2_event_subscribe" },
	{ 0xc84aa796, "vb2_ioctl_qbuf" },
	{ 0x922f3d6, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xaebfd4bd, "snd_device_new" },
	{ 0x3053b129, "vb2_vmalloc_memops" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,videodev,videobuf2-v4l2,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "5401F8E2FDFB2DC1E3EDFAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
