#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x69bee2df, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x8759689b, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xf8dd5fac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xbff7fa0a, "netdev_rx_handler_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x228d64e4, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9879e0e3, "gro_cells_init" },
	{ 0xed971a81, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc815abc4, "skb_copy" },
	{ 0x5cf0a55c, "consume_skb" },
	{ 0xf042dfd4, "skb_push" },
	{ 0xc100b01d, "skb_put" },
	{ 0x6e31dd36, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x34d7d103, "skb_to_sgvec" },
	{ 0x9a9cdcc2, "crypto_aead_encrypt" },
	{ 0x7dee592a, "skb_copy_expand" },
	{ 0xa5141a6f, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x84550b7e, "skb_clone" },
	{ 0xabced304, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe134488d, "crypto_aead_decrypt" },
	{ 0xf67f85c7, "__pskb_pull_tail" },
	{ 0x17a31a14, "netdev_rx_handler_unregister" },
	{ 0x83ea4260, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x313396e4, "netif_carrier_off" },
	{ 0x2837c5b9, "dev_mc_unsync" },
	{ 0x9dec098, "dev_uc_unsync" },
	{ 0xb4bfb30d, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4c38f688, "dev_uc_add" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x20aa0d8d, "netif_carrier_on" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x29426a03, "genlmsg_put" },
	{ 0x3dfb2c48, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2c0a1a8d, "rtnl_link_register" },
	{ 0xfaecf2ce, "genl_register_family" },
	{ 0xe55fffc9, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a4020ba, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x823b6d6f, "crypto_alloc_aead" },
	{ 0xc85002ed, "crypto_aead_setkey" },
	{ 0x1afe1188, "crypto_aead_setauthsize" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xd5a43273, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4ab7ec52, "skb_pull" },
	{ 0xb4bb06b3, "___pskb_trim" },
	{ 0xecf38266, "ether_setup" },
	{ 0xe276e125, "metadata_dst_free" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x6c1e3c15, "dev_mc_sync" },
	{ 0xf5910aef, "dev_uc_sync" },
	{ 0xabe9e1c, "dev_set_allmulti" },
	{ 0xe2607732, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xd05ef88d, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0x54ff5403, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5be0bde3, "eth_type_trans" },
	{ 0xdc5431ea, "gro_cells_receive" },
	{ 0x83e44fc3, "kfree_skb_reason" },
	{ 0xe2948121, "__dev_get_by_index" },
	{ 0x6a417305, "register_netdevice" },
	{ 0xe75322bd, "netdev_upper_dev_link" },
	{ 0x79819615, "netdev_upper_dev_unlink" },
	{ 0x23f671d2, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd0fd3aca, "metadata_dst_alloc" },
	{ 0x59f27714, "netif_stacked_transfer_operstate" },
	{ 0xc47b20c3, "linkwatch_fire_event" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5B4F6605ACAFA5C517A095A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
