#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x0f4e1b75, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x6a9f3744, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x01ff34d7, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x68a15a94, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x15b41b55, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x0eeb1990, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x9955eca7, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x3501d20d, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xf7725510, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x9f5d7634, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x29d37577, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xc27c19b6, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xd532c51d, "_gpl");
SYMBOL_CRC(usbnet_open, 0xed4c1ed5, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x31135396, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xc9b7cd5a, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x152da96d, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x4b390d44, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x568bda31, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x30f61c91, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xb330ff17, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xe7c9add9, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xcdc9eb19, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xb08908f1, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x5a73b447, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x7eb7b674, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x20375895, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x9dc30157, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xb0483fbe, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x3564755c, "");
SYMBOL_CRC(usbnet_manage_power, 0xe6acebf1, "");
SYMBOL_CRC(usbnet_link_change, 0xceec3410, "");
SYMBOL_CRC(usbnet_read_cmd, 0xef5dc62b, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x5687cdd6, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xe68ac6d2, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x638b2efb, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x3abea4a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x575454e8, "usb_set_interface" },
	{ 0x2260b99c, "usb_string" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xed971a81, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc7f762f8, "netif_rx" },
	{ 0x5be0bde3, "eth_type_trans" },
	{ 0xdb988b37, "skb_queue_tail" },
	{ 0x54f7bf76, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x604f59f6, "skb_queue_purge_reason" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x57eef972, "usb_get_urb" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x23801886, "usb_unlink_urb" },
	{ 0x3c443a9f, "usb_free_urb" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc4f13423, "usb_submit_urb" },
	{ 0x5f2bd334, "netdev_err" },
	{ 0x7b4513c8, "mii_ethtool_get_link_ksettings" },
	{ 0xf36a2ac1, "mii_ethtool_set_link_ksettings" },
	{ 0x65d0fd8a, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x12d73ed1, "unregister_netdev" },
	{ 0x5cf0a55c, "consume_skb" },
	{ 0x1d9a77b, "usb_get_from_anchor" },
	{ 0xcccd30e7, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb86926ef, "free_netdev" },
	{ 0xa112cba0, "netdev_info" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xa5684572, "netif_device_detach" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6363b305, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb98a274b, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x81835ce7, "usb_autopm_get_interface" },
	{ 0xb7d40c5a, "usb_autopm_put_interface" },
	{ 0x311da206, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x1f21adcf, "mii_link_ok" },
	{ 0x21a0a875, "ethtool_op_get_link" },
	{ 0xd298620a, "usb_autopm_put_interface_async" },
	{ 0x20aa0d8d, "netif_carrier_on" },
	{ 0x313396e4, "netif_carrier_off" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x54012fbc, "skb_dequeue" },
	{ 0x7af1ad22, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd8fa46df, "register_netdev" },
	{ 0xcd1f5878, "pm_runtime_enable" },
	{ 0x83398f4c, "usb_check_bulk_endpoints" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3ae30353, "usb_autopm_get_interface_async" },
	{ 0x27d23866, "dev_kfree_skb_any_reason" },
	{ 0xdc024624, "skb_tstamp_tx" },
	{ 0x3a99f17a, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb274e071, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcc43ee0e, "netif_tx_wake_queue" },
	{ 0x6586755c, "usb_autopm_get_interface_no_resume" },
	{ 0xc100b01d, "skb_put" },
	{ 0xb3e0d710, "usb_clear_halt" },
	{ 0x6d5665a, "eth_mac_addr" },
	{ 0x881a8a3d, "eth_validate_addr" },
	{ 0x2d5faa14, "dev_get_tstats64" },
	{ 0xe66b45c7, "ethtool_op_get_ts_info" },
	{ 0xbd22ade2, "param_ops_int" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "014B19EBEDC46A67F9DFFDB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
