#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0xd7e089be, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x56938bce, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x859da8d1, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xb86b91ce, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x03ef9bf8, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x0335ea2d, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xef637b3a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f2c13d3, "mt76x02_mac_shared_key_setup" },
	{ 0xbc9c240, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x48b2c20d, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0xf6236485, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x185c012e, "ieee80211_queue_delayed_work" },
	{ 0x33f1a105, "mt76_eeprom_init" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x7c98f400, "mt76x02_mac_setaddr" },
	{ 0xe829d33d, "mt76_register_device" },
	{ 0x4b18f220, "mt76x02_phy_set_bw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x51a764f1, "mt76x02_phy_set_band" },
	{ 0x78bb6fe1, "mt76_set_channel" },
	{ 0x33a0dad4, "mt76x02_init_device" },
	{ 0x64474989, "ieee80211_wake_queues" },
	{ 0xf1f110f, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xe7770e04, "mt76x02_phy_set_rxpath" },
	{ 0xb78ff104, "mt76x02_edcca_init" },
	{ 0x28953e6c, "mt76_eeprom_override" },
	{ 0x9d02025b, "mt76x02_get_lna_gain" },
	{ 0xb125fe2f, "mt76x02_init_debugfs" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1639b66d, "ieee80211_stop_queues" },
	{ 0xcb266c97, "mt76x02_mac_cc_reset" },
	{ 0x2e57fb1f, "mt76x02_init_agc_gain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xaebc676a, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4fafe3eb, "____mt76_poll_msec" },
	{ 0xaa1ff470, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x36e96f, "mt76x02_config_mac_addr_list" },
	{ 0x5d66a2b1, "mt76_get_sar_power" },
	{ 0x42813cc5, "mt76x02_eeprom_copy" },
	{ 0x2a68de5c, "mt76x02_mcu_calibrate" },
	{ 0xa2dea19b, "mt76x02_mcu_function_select" },
	{ 0xa88cbb71, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xb9277209, "mt76x02_mac_wcid_setup" },
	{ 0x6e4200d6, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf0bc5a2f, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xddf8ec3d, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7d5ab830, "mt76_init_sar_power" },
	{ 0xd16b55d9, "mt76x02_phy_adjust_vga_gain" },
	{ 0x24802067, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x731c2423, "cfg80211_chandef_valid" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
