#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67fb6e00, "mt76x2_mcu_set_channel" },
	{ 0xf540c0e6, "mt76x02_dma_disable" },
	{ 0x77a3329a, "mt76x02_mcu_set_radio_state" },
	{ 0x5bb27ebd, "mt76_wake_tx_queue" },
	{ 0x92ba217, "mt76x02e_init_beacon_config" },
	{ 0xbd3e0f2c, "mt76_get_antenna" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0x3c44c13e, "mt76_set_stream_caps" },
	{ 0xe3f8020c, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x790ede22, "pci_set_power_state" },
	{ 0xe9af1807, "mt76x02_sta_ps" },
	{ 0x5c6c8816, "mt76x2_set_sar_specs" },
	{ 0xe44781b3, "mt76x02_sta_rate_tbl_update" },
	{ 0xa8300bff, "kthread_park" },
	{ 0xff1546fa, "mt76_dma_cleanup" },
	{ 0xa2e00394, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x82d59f63, "mt76x02_reconfig_complete" },
	{ 0xc45c9089, "mt76_alloc_device" },
	{ 0x21318466, "wake_up_process" },
	{ 0x7f2c13d3, "mt76x02_mac_shared_key_setup" },
	{ 0xbc9c240, "mt76x02_ext_pa_enabled" },
	{ 0x8989b4cf, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4ee16925, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa313f544, "mt76x02_set_tx_ackto" },
	{ 0xed85f1c2, "mt76x02_update_channel" },
	{ 0xfdc8cc47, "__napi_schedule" },
	{ 0x8a1328d, "mt76x2_configure_tx_delay" },
	{ 0x8877c302, "mt76_pci_disable_aspm" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0xcf721eff, "mt76x02_configure_filter" },
	{ 0x32f0315d, "mt76_free_device" },
	{ 0x70e4678a, "mt76x02_queue_rx_skb" },
	{ 0xacb526ce, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x92df6ff6, "pcim_iomap_regions" },
	{ 0x185c012e, "ieee80211_queue_delayed_work" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x491f11ba, "mt76x02_rx_poll_complete" },
	{ 0x7c98f400, "mt76x02_mac_setaddr" },
	{ 0xe829d33d, "mt76_register_device" },
	{ 0x36064101, "mt76_set_tim" },
	{ 0xf64e2913, "mt76x02_sw_scan_complete" },
	{ 0x4b18f220, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x51a764f1, "mt76x02_phy_set_band" },
	{ 0x78bb6fe1, "mt76_set_channel" },
	{ 0x33a0dad4, "mt76x02_init_device" },
	{ 0x3ff7a205, "napi_enable" },
	{ 0xfc3cf74a, "mt76x02_tx" },
	{ 0x52acfe2f, "mt76_mmio_init" },
	{ 0x64474989, "ieee80211_wake_queues" },
	{ 0xc58d3af8, "mt76x02_sta_remove" },
	{ 0xb78ff104, "mt76x02_edcca_init" },
	{ 0x5ff1b766, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe28fea0, "mt76x02_sta_add" },
	{ 0x39286604, "mt76_unregister_device" },
	{ 0xf306c80f, "mt76x2_mcu_load_cr" },
	{ 0x8119db27, "pci_restore_state" },
	{ 0x64427d0f, "mt76x2_init_txpower" },
	{ 0xb125fe2f, "mt76x02_init_debugfs" },
	{ 0xafc55927, "mt76_get_survey" },
	{ 0x1a10591e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x12849a3e, "mt76x2_mcu_init_gain" },
	{ 0x695088cc, "mt76x02_set_rts_threshold" },
	{ 0x876a61c3, "mt76x02_tx_complete_skb" },
	{ 0xb120af3b, "mt76_sta_state" },
	{ 0x5101fe8f, "mt76x02_mcu_msg_send" },
	{ 0x4330c74e, "mt76x2_phy_tssi_compensate" },
	{ 0x1639b66d, "ieee80211_stop_queues" },
	{ 0xcb266c97, "mt76x02_mac_cc_reset" },
	{ 0x7812f4a6, "mt76x02_bss_info_changed" },
	{ 0x2e57fb1f, "mt76x02_init_agc_gain" },
	{ 0x6aed381e, "mt76x2_phy_update_channel_gain" },
	{ 0x36b379af, "pci_enable_wake" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xaebc676a, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa160965f, "mt76x02_add_interface" },
	{ 0x4fafe3eb, "____mt76_poll_msec" },
	{ 0xaa1ff470, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x36e96f, "mt76x02_config_mac_addr_list" },
	{ 0x5d66a2b1, "mt76_get_sar_power" },
	{ 0x667dd9f1, "mt76x02_tx_prepare_skb" },
	{ 0xa37c1461, "mt76x02_mcu_cleanup" },
	{ 0x7f320cec, "mt76x02_ampdu_action" },
	{ 0x2a68de5c, "mt76x02_mcu_calibrate" },
	{ 0x6b52f7d4, "mt76x02_conf_tx" },
	{ 0xa2dea19b, "mt76x02_mcu_function_select" },
	{ 0x780f8a03, "dma_set_mask" },
	{ 0xbfda9498, "mt76_sw_scan" },
	{ 0x4ab2efc8, "mt76_sta_pre_rcu_remove" },
	{ 0x53ee1756, "pcim_iomap_table" },
	{ 0xe70b9424, "mt76x2_get_temp_comp" },
	{ 0xb9277209, "mt76x02_mac_wcid_setup" },
	{ 0xdd0e3a54, "napi_schedule_prep" },
	{ 0xd4f06f6, "napi_disable" },
	{ 0x6e4200d6, "__mt76_poll" },
	{ 0xe919c9db, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x5b152a46, "pcim_enable_device" },
	{ 0x39d85b15, "mt76x2_phy_set_txpower_regs" },
	{ 0x57eeccce, "mt76x2_phy_set_txpower" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf2e6f532, "mt76x02_mac_start" },
	{ 0x33bb6c24, "mt76x02_remove_interface" },
	{ 0xa22bfc16, "mt76x02_dma_init" },
	{ 0x28285a1, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x72378e8a, "devm_request_threaded_irq" },
	{ 0x7096e4a, "pci_choose_state" },
	{ 0x94f3742b, "mt76x02_set_ethtool_fwver" },
	{ 0x2b9b2083, "mt76x02_tx_set_txpwr_auto" },
	{ 0xe8c4f68d, "mt76x02_set_key" },
	{ 0x6afaf672, "mt76x02_mcu_parse_response" },
	{ 0xd8fc770, "mt76_release_buffered_frames" },
	{ 0x61363900, "request_firmware" },
	{ 0x34ca619f, "mt76_get_txpower" },
	{ 0xc124a605, "__pci_register_driver" },
	{ 0xc16ca082, "mt76_write_mac_initvals" },
	{ 0x34830ac4, "mt76x2_reset_wlan" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F93EEC31EDE1078C32498C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
