#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x716a6cc7, "");
SYMBOL_CRC(ntb_unregister_client, 0x641665aa, "");
SYMBOL_CRC(ntb_register_device, 0x8e4dead7, "");
SYMBOL_CRC(ntb_unregister_device, 0xa589e5a0, "");
SYMBOL_CRC(ntb_set_ctx, 0xd044968a, "");
SYMBOL_CRC(ntb_clear_ctx, 0x889d2358, "");
SYMBOL_CRC(ntb_link_event, 0x4a66ef27, "");
SYMBOL_CRC(ntb_db_event, 0x2b250589, "");
SYMBOL_CRC(ntb_msg_event, 0xef8b96cf, "");
SYMBOL_CRC(ntb_default_port_number, 0x230f6ccb, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xf7b60975, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0xe811133f, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xc3288785, "");
SYMBOL_CRC(ntb_msi_init, 0xc90e7f37, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x8feb5802, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x60adfc8f, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xc75fda7b, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x118e2639, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x1c18f182, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x8ae7d50e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x555b97f1, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xa6843352, "devm_iounmap" },
	{ 0x1710204e, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe3c32c50, "devres_destroy" },
	{ 0xf374f915, "msi_unlock_descs" },
	{ 0xa1593f, "devm_ioremap" },
	{ 0xd6a4f070, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x21977947, "msi_lock_descs" },
	{ 0x7bcb8465, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6af3998, "put_device" },
	{ 0x3e89d158, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5adf93ad, "bus_unregister" },
	{ 0x7808e649, "devm_kfree" },
	{ 0x56613951, "irq_get_irq_data" },
	{ 0xa0c19f52, "__devres_alloc_node" },
	{ 0x3abf497e, "driver_unregister" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xae684cdf, "device_register" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x55bb95fa, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xdf7aba2c, "msi_next_desc" },
	{ 0x8265b78c, "driver_register" },
	{ 0x94a463cf, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x72378e8a, "devm_request_threaded_irq" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
