#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x090e1f54, "");
SYMBOL_CRC(fc_host_post_event, 0xdd6bb3e7, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x7589198e, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0xef32920a, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x575d09cf, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x897d52f6, "");
SYMBOL_CRC(fc_eh_timed_out, 0x04da1908, "");
SYMBOL_CRC(fc_attach_transport, 0x819a3aad, "");
SYMBOL_CRC(fc_release_transport, 0x4d55b6b4, "");
SYMBOL_CRC(fc_remove_host, 0xacf1db4d, "");
SYMBOL_CRC(fc_remote_port_add, 0xc7ec372c, "");
SYMBOL_CRC(fc_remote_port_delete, 0x2f1e751a, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x846e2d9b, "");
SYMBOL_CRC(fc_block_rport, 0x68c7074e, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x44841a63, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0xbb609a94, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x2597ded2, "");
SYMBOL_CRC(fc_vport_terminate, 0xd6dec898, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe1870a09, "__scsi_init_queue" },
	{ 0xc8549704, "blk_queue_rq_timeout" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2d52f8da, "attribute_container_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x39026c2f, "scsi_host_get" },
	{ 0xe7394819, "device_initialize" },
	{ 0xd6a4f070, "get_device" },
	{ 0x555b97f1, "dev_set_name" },
	{ 0x7cd0de85, "transport_setup_device" },
	{ 0x7d51f56d, "device_add" },
	{ 0x6eb1924b, "transport_add_device" },
	{ 0xdc4ae5aa, "transport_configure_device" },
	{ 0x610d1988, "sysfs_create_link" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x939987d3, "attribute_container_register" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcfbd3fe9, "scsi_flush_work" },
	{ 0x31c015a3, "bsg_remove_queue" },
	{ 0x52f6bb9d, "scsi_target_unblock" },
	{ 0x26ea72c7, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x11a3b030, "scsi_is_target_device" },
	{ 0xcc4920e4, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xbb9c69a5, "scsi_queue_work" },
	{ 0xf33b9141, "blk_mq_run_hw_queues" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x90828bdf, "bsg_job_get" },
	{ 0xfa7c9714, "blk_mq_end_request" },
	{ 0x6fb3d9b1, "bsg_job_put" },
	{ 0x111627a8, "bsg_job_done" },
	{ 0x50749270, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6af3998, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xb9469a5b, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x581c7af9, "scsi_host_put" },
	{ 0x24290fc5, "sysfs_remove_link" },
	{ 0xb9a7ddb5, "transport_remove_device" },
	{ 0x71a0e22d, "device_del" },
	{ 0x9491a31, "transport_destroy_device" },
	{ 0xaea9c714, "_dev_printk" },
	{ 0x2d96143f, "transport_class_register" },
	{ 0xc0c87edc, "transport_class_unregister" },
	{ 0x26ead75b, "scsi_nl_sock" },
	{ 0x13ee8580, "__alloc_skb" },
	{ 0x43b5bec6, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x2b19d3f, "netlink_broadcast_filtered" },
	{ 0x83e44fc3, "kfree_skb_reason" },
	{ 0x42db8cf, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb14b2d92, "bsg_setup_queue" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "E7EE9F8EC3E8D124BAFCB53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
