#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x2b2f3023, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0xdb15e49f, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0xd19124a8, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x2283827a, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x6ac167c8, "_gpl");
SYMBOL_CRC(tb_ring_start, 0xc22f78b5, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x07680bae, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x3886bc8c, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0xdf0744e4, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0xa221ad45, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x85e8cd92, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x898f8ea3, "_gpl");
SYMBOL_CRC(tb_service_type, 0xb946b360, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x57195955, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0xd90e09b8, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0xd2c4f4e1, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xd56cc780, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x3dc618d1, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0xef8ab43e, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x11256029, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x0a9c6d0d, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0xca484849, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x43553c5e, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0xc3ad939f, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7cd162eb, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xe8859c69, "pm_runtime_allow" },
	{ 0x68139353, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x88f5c45d, "acpi_fetch_acpi_dev" },
	{ 0x24067450, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17452315, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x60e4760b, "kobject_uevent" },
	{ 0x932aa5bc, "device_iommu_capable" },
	{ 0x931886df, "seq_puts" },
	{ 0x177e90b3, "single_release" },
	{ 0x780f8a03, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x490ab2cc, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x85504d44, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x4ab9f7b7, "nvmem_register" },
	{ 0x53ee1756, "pcim_iomap_table" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xfb6f0f81, "__pm_runtime_suspend" },
	{ 0xa125e275, "component_add" },
	{ 0x8e631d00, "fwnode_handle_put" },
	{ 0x754d539c, "strlen" },
	{ 0x1b8ac90a, "__pm_runtime_use_autosuspend" },
	{ 0xe2934fe1, "single_open" },
	{ 0x5b152a46, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xbdd67004, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xde3cfd88, "crypto_alloc_shash" },
	{ 0xe274bbfc, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc6cf3d6a, "device_link_add" },
	{ 0x8265b78c, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xd8f31b01, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xac42fba3, "__dev_fwnode" },
	{ 0x5374f229, "pci_bus_type" },
	{ 0xe4907022, "pci_write_config_dword" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x94a463cf, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb2f5b07, "pci_find_ext_capability" },
	{ 0x55ed9f94, "is_acpi_device_node" },
	{ 0xe0339f4a, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x72378e8a, "devm_request_threaded_irq" },
	{ 0x50749270, "param_ops_uint" },
	{ 0xc897dd52, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x555b97f1, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x87590c86, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1710204e, "device_unregister" },
	{ 0x41041ff, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd438c3db, "nvmem_unregister" },
	{ 0xc124a605, "__pci_register_driver" },
	{ 0xe7394819, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9318863b, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0xf52f7528, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x7963bb38, "acpi_find_child_by_adr" },
	{ 0x6ad1ce60, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb300713, "pci_irq_vector" },
	{ 0xd6a4f070, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa2e00394, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xb00b691e, "dev_driver_string" },
	{ 0x8a4020ba, "crypto_destroy_tfm" },
	{ 0xc6d27288, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xefac8702, "__pm_runtime_set_status" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe1e7f0c5, "pm_wakeup_dev_event" },
	{ 0x7d160eae, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x8a91c4ef, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6af3998, "put_device" },
	{ 0x3e89d158, "devm_free_irq" },
	{ 0xcd1f5878, "pm_runtime_enable" },
	{ 0x5a6c271, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x59b30e66, "bus_for_each_dev" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0x610d1988, "sysfs_create_link" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x92df6ff6, "pcim_iomap_regions" },
	{ 0xac8d9b7b, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x5adf93ad, "bus_unregister" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x43929fd7, "device_wakeup_enable" },
	{ 0x6756df6c, "crypto_shash_setkey" },
	{ 0xb327e1e5, "bus_find_device" },
	{ 0x7d51f56d, "device_add" },
	{ 0x24290fc5, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5030ac51, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd3a9bed1, "pci_device_is_present" },
	{ 0x996aac82, "dma_alloc_attrs" },
	{ 0x7f9ca33a, "debugfs_remove" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xd81f9680, "crypto_shash_digest" },
	{ 0x6573f300, "ida_free" },
	{ 0x3abf497e, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeef7b413, "device_find_child" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xae684cdf, "device_register" },
	{ 0x71a0e22d, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0xaf7dbcc7, "unregister_acpi_bus_type" },
	{ 0xcdd1f5e5, "acpi_get_first_physical_node" },
	{ 0x1a10591e, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x25ddb45a, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xedc4f2e, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9e119369, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x95b1ecdd, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x66fef747, "pm_runtime_forbid" },
	{ 0x887e4d77, "debugfs_create_file" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "A1B2F6D25377ECA11E18624");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
