#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0x67b3768c, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0x5b068cd5, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0x28fec2a2, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0x8169e175, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x7605910b, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0x0fbf5232, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0xb1a81f7e, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0xec80647e, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0x3b1e2fea, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0x9a91e179, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x6260cf8d, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0xe2fb1c66, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0x3c21c907, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x79a184f3, "_gpl");
SYMBOL_CRC(gether_suspend, 0x217fe080, "_gpl");
SYMBOL_CRC(gether_resume, 0x2086b49a, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0x288d280c, "_gpl");
SYMBOL_CRC(gether_disconnect, 0x3a04833c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0xed971a81, "dev_addr_mod" },
	{ 0xd8fa46df, "register_netdev" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0x313396e4, "netif_carrier_off" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9166fada, "strncpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ea59b5d, "usb_ep_alloc_request" },
	{ 0x2af38e5f, "usb_ep_free_request" },
	{ 0xa5684572, "netif_device_detach" },
	{ 0x2c53cadb, "usb_ep_disable" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x12d73ed1, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb86926ef, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb274e071, "__netdev_alloc_skb" },
	{ 0xac5667d9, "usb_ep_queue" },
	{ 0x27d23866, "dev_kfree_skb_any_reason" },
	{ 0xc100b01d, "skb_put" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x54012fbc, "skb_dequeue" },
	{ 0xdb988b37, "skb_queue_tail" },
	{ 0x5be0bde3, "eth_type_trans" },
	{ 0xc7f762f8, "netif_rx" },
	{ 0xcc43ee0e, "netif_tx_wake_queue" },
	{ 0x784d9a58, "usb_ep_enable" },
	{ 0x20aa0d8d, "netif_carrier_on" },
	{ 0x6363b305, "netif_device_attach" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7af1ad22, "alloc_etherdev_mqs" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xc1b09379, "usb_func_wakeup" },
	{ 0x5847ebce, "usb_gadget_wakeup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6d5665a, "eth_mac_addr" },
	{ 0x881a8a3d, "eth_validate_addr" },
	{ 0x21a0a875, "ethtool_op_get_link" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "FB7ACB46FD4366E6FF35DBD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
