#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x8d0bc54b, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x366f9e7f, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x8492ce68, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0xb944bb93, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0xc35e1d7d, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x3cc555bf, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0xe406a2f6, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x1e611e60, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0xc32360e0, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x3ff86746, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x9832abfc, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x37449d00, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xdabbcdd9, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0xc4aa3ba0, "_gpl");
SYMBOL_CRC(typec_register_plug, 0xde715ed5, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x7b6505c5, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x5b71b457, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x456e942f, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x6382b0a0, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x6f8e6a5f, "_gpl");
SYMBOL_CRC(typec_register_cable, 0xd07f75cd, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x8ab8a51d, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0xbed43f8e, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0xc09accb7, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xd9dc2c25, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x4b742b25, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x8c5c7880, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x924ed719, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0xf499c559, "_gpl");
SYMBOL_CRC(typec_set_mode, 0xd8fc5be6, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0xb6699c0f, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x8448713f, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0xc33fa2b8, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0xe2e34a9c, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0xf8f34b85, "_gpl");
SYMBOL_CRC(typec_register_port, 0xbd683314, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xcbca156b, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0x0f7ccd75, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0xd5a75f7e, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0xdbb30ce9, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x9dcb1f7f, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0xbf3b1c49, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0xf063eb07, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x111f01e3, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xa72fe9ad, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x1e5af942, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x6b613f09, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0xa8149462, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x3bfb6f63, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x78f00f71, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0xded6f25a, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xa1ae6428, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0xd591729a, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x781c3217, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0xaf1ff54f, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0xde4b67f1, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x2fcba76a, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x0acf00e6, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x8d933f47, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x88a399a3, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x8473a48c, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0xfa88008a, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x1417c055, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x8960b7cb, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x6ff39ec4, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x973a3c67, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xdad553bc, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x92adb9c0, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x93c466fa, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x464edc7b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeef7b413, "device_find_child" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xae684cdf, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb43763a3, "fwnode_property_read_string" },
	{ 0xa29a321, "fwnode_property_present" },
	{ 0x4d71c37b, "component_master_del" },
	{ 0x7c0d01ee, "component_match_add_release" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xbfa5fe0c, "device_get_named_child_node" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x76f2fe2e, "component_bind_all" },
	{ 0x7601a6f5, "device_match_name" },
	{ 0x60e4760b, "kobject_uevent" },
	{ 0x9ba97be9, "fwnode_connection_find_matches" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xc141261, "component_unbind_all" },
	{ 0x8265b78c, "driver_register" },
	{ 0x91b63772, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xac42fba3, "__dev_fwnode" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x94a463cf, "bus_register" },
	{ 0x82119744, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x9297cf95, "try_module_get" },
	{ 0x55ed9f94, "is_acpi_device_node" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x555b97f1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe799f068, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1710204e, "device_unregister" },
	{ 0xf4e0ec4, "acpi_bus_for_each_dev" },
	{ 0xe7394819, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xbd527b10, "fwnode_connection_find_match" },
	{ 0x7c0ce76, "fwnode_get_next_child_node" },
	{ 0x6ad1ce60, "device_for_each_child" },
	{ 0xd6a4f070, "get_device" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf1f00d37, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1314fa34, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6af3998, "put_device" },
	{ 0x80a9e22a, "fwnode_property_read_u32_array" },
	{ 0x9ef18f27, "module_put" },
	{ 0x610d1988, "sysfs_create_link" },
	{ 0x8e88a6c0, "fwnode_get_name" },
	{ 0xac8d9b7b, "kobject_uevent_env" },
	{ 0x1b495bb, "sysfs_update_group" },
	{ 0x5adf93ad, "bus_unregister" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x7d51f56d, "device_add" },
	{ 0x24290fc5, "sysfs_remove_link" },
	{ 0xd282f560, "fwnode_property_read_u16_array" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6573f300, "ida_free" },
	{ 0x3abf497e, "driver_unregister" },
	{ 0x494a977d, "class_unregister" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6B0A391BD9D573EC0887A28");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
