#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x7fc0188f, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x8e42fc51, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x2af57217, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xea6b5e13, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x4609949d, "");
SYMBOL_CRC(fuse_abort_conn, 0x2a5c1085, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x885a2ec8, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x5da21ff3, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x71aad91d, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x99a0a06a, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xd1a6cdb1, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x9a520d3c, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xa8a314c0, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xa23da4ab, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x0cd894bc, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x14a7d5dd, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x4649b50d, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xdcf1b456, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xa9b613bd, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x74b15cc2, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x8f9babf7, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x5719f3e2, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xfa1b7caa, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x859eda4c, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x485d50b4, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x5b4c66ee, "");
SYMBOL_CRC(fuse_do_ioctl, 0x4f4b344b, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x357f4e52, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6cbbc89, "capable" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x997cef83, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xbba1ddbb, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2a7cae67, "inode_init_once" },
	{ 0x4bbe22f3, "file_write_and_wait_range" },
	{ 0x677395f1, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x495a8b4e, "nosteal_pipe_buf_ops" },
	{ 0x9901c4bf, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaa568620, "inode_nohighmem" },
	{ 0x8176798b, "release_pages" },
	{ 0x633da581, "generic_file_direct_write" },
	{ 0x3d3d5252, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x249b118c, "generic_file_read_iter" },
	{ 0x4b41408c, "inode_maybe_inc_iversion" },
	{ 0xba228853, "unlock_page" },
	{ 0x754d7509, "inc_node_page_state" },
	{ 0x69fe2546, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0xc75a3d85, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x72b6ac4e, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xa53f9c3, "dec_node_page_state" },
	{ 0xf0dd94cc, "write_cache_pages" },
	{ 0x6b90b887, "file_update_time" },
	{ 0x4abea0df, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x960f3763, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x58d1fe10, "from_kgid" },
	{ 0xa9c638cf, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8422c8fe, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xa9d31e3b, "write_inode_now" },
	{ 0x406a858f, "dax_writeback_mapping_range" },
	{ 0x7574afa4, "d_obtain_alias" },
	{ 0xaadb1534, "file_modified" },
	{ 0xed435581, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc02949e2, "finish_no_open" },
	{ 0x1054438f, "__folio_start_writeback" },
	{ 0xbf716799, "kill_litter_super" },
	{ 0x752ed20a, "folio_end_writeback" },
	{ 0xb16c81ef, "from_kuid" },
	{ 0xe0721a27, "current_in_userns" },
	{ 0x39bb982b, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xc4838c49, "sysfs_remove_mount_point" },
	{ 0xea274114, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x8f14b417, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x5e571861, "d_delete" },
	{ 0x3661a4f3, "from_kgid_munged" },
	{ 0x170377ee, "end_page_writeback" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe0f0dcb9, "kobject_create_and_add" },
	{ 0xeddd417, "down_read" },
	{ 0x8b34ebd, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfc9dbef, "nonseekable_open" },
	{ 0x8ff3a930, "dax_finish_sync_fault" },
	{ 0xe2252c62, "set_page_dirty" },
	{ 0xfa138328, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a849fbb, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xea00570, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x214fcc2b, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe81af0fb, "generic_read_dir" },
	{ 0x65a8b18d, "d_add" },
	{ 0x7eac76d8, "set_page_writeback" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24067450, "param_ops_bool" },
	{ 0xd3efd793, "init_user_ns" },
	{ 0xb8ad7e31, "d_find_alias" },
	{ 0x90f4518, "invalidate_inode_pages2" },
	{ 0xe0225f1f, "alloc_pages" },
	{ 0xf7db02d, "inode_set_ctime_current" },
	{ 0x77a4456f, "inc_nlink" },
	{ 0x1c221db4, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd32ed21d, "get_tree_bdev" },
	{ 0xbc68e43f, "set_anon_super_fc" },
	{ 0x17452315, "seq_printf" },
	{ 0x1510878b, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb449a242, "generic_delete_inode" },
	{ 0x52bd2ac1, "deactivate_locked_super" },
	{ 0x87fbbbf1, "touch_atime" },
	{ 0x928c8cd5, "__percpu_down_read" },
	{ 0xc821a19f, "__d_lookup_unhash_wake" },
	{ 0x9cdc101c, "set_page_dirty_lock" },
	{ 0x817fbe65, "pid_nr_ns" },
	{ 0xbae2a687, "generic_file_open" },
	{ 0x90a7cb9d, "truncate_inode_pages_range" },
	{ 0x7aacd524, "__put_user_ns" },
	{ 0xba97c08f, "__folio_lock" },
	{ 0x78d917f7, "filemap_dirty_folio" },
	{ 0x66b7585e, "pagecache_get_page" },
	{ 0x931886df, "seq_puts" },
	{ 0x5c30acdb, "stream_open" },
	{ 0x32c6c232, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x63e6ea20, "__wake_up_sync" },
	{ 0xc6254084, "add_to_pipe" },
	{ 0x3a8691fd, "__fs_parse" },
	{ 0x532e50d2, "dax_layout_busy_page_range" },
	{ 0x79a6ed26, "filemap_splice_read" },
	{ 0xe972b3f2, "posix_acl_to_xattr" },
	{ 0xb6d4177, "dget_parent" },
	{ 0xa80a6af0, "kill_anon_super" },
	{ 0xf65d9efb, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf89eaf67, "iget5_locked" },
	{ 0xc7d3017f, "security_dentry_init_security" },
	{ 0x989a406d, "filemap_write_and_wait_range" },
	{ 0x710ccfb6, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x42090059, "generic_write_checks" },
	{ 0x9f8a21ad, "iov_iter_revert" },
	{ 0x5960be3e, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5789f5e9, "mntget" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x3d9a3f0b, "kmem_cache_alloc_lru" },
	{ 0x6db3b30a, "filemap_fault" },
	{ 0x9d4230ed, "d_invalidate" },
	{ 0xe7b36994, "__mark_inode_dirty" },
	{ 0x369f04d, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x54dd5c89, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x9dc0f520, "drop_nlink" },
	{ 0x48ee09f7, "fault_in_iov_iter_readable" },
	{ 0x99e852e6, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x30df305, "bdi_set_max_ratio" },
	{ 0xf95c8def, "kmem_cache_destroy" },
	{ 0x1fb65a57, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x7e652588, "super_setup_bdi_name" },
	{ 0x4d137ba4, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2ea92a05, "truncate_inode_pages" },
	{ 0x35efadf2, "noop_backing_dev_info" },
	{ 0xed681c08, "pipe_lock" },
	{ 0x9db6fc94, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x32cc4b5d, "vfs_fsync_range" },
	{ 0x6771969f, "setattr_prepare" },
	{ 0xd6314514, "clear_nlink" },
	{ 0x6dcd4f81, "file_check_and_advance_wb_err" },
	{ 0xb70c51c6, "d_alloc_parallel" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x44980423, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x2c500635, "misc_deregister" },
	{ 0xfebd2bc2, "make_vfsgid" },
	{ 0x50bb0178, "clear_inode" },
	{ 0xc4f2634c, "inode_to_bdi" },
	{ 0x17c31c4a, "find_pid_ns" },
	{ 0xf28a7e1e, "grab_cache_page_write_begin" },
	{ 0xfea240a2, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x46d23414, "pipe_unlock" },
	{ 0x865a2d4d, "fs_param_is_string" },
	{ 0x1cad89b8, "folio_unlock" },
	{ 0xfa868dd7, "new_inode" },
	{ 0x6c4fa3b4, "filemap_map_pages" },
	{ 0x65b45cb, "complete" },
	{ 0x2c29a2b4, "dump_page" },
	{ 0x36c4fd82, "forget_all_cached_acls" },
	{ 0x488fcf2e, "init_special_inode" },
	{ 0x387f7332, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x417f7e91, "task_active_pid_ns" },
	{ 0x955fa489, "iov_iter_single_seg_count" },
	{ 0x3af0bfb2, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x7751bc4a, "filemap_fdatawrite_range" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2fab46c6, "d_alloc_name" },
	{ 0x348872dd, "replace_page_cache_folio" },
	{ 0x43a86868, "inode_query_iversion" },
	{ 0x828d550b, "iov_iter_advance" },
	{ 0x422c6300, "kill_fasync" },
	{ 0x2e858e09, "d_make_root" },
	{ 0xd6d10125, "sb_set_blocksize" },
	{ 0x404d7c1b, "fget" },
	{ 0x8557d68a, "simple_fill_super" },
	{ 0x9bac2fb4, "xas_find" },
	{ 0x9585fd4c, "sync_filesystem" },
	{ 0x67dcecd5, "noop_dirty_folio" },
	{ 0xd519db4d, "sget_fc" },
	{ 0xec9c67b8, "param_set_uint" },
	{ 0xa0a0a605, "d_splice_alias" },
	{ 0x9bf7f18e, "iov_iter_get_pages2" },
	{ 0xe930d0, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0x47d3c55e, "page_get_link" },
	{ 0x6a134440, "generic_permission" },
	{ 0xfe149ea1, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x83233a0f, "invalidate_inode_pages2_range" },
	{ 0x4165006d, "posix_lock_file" },
	{ 0x4ddc7fae, "finish_open" },
	{ 0x5c608715, "dax_iomap_rw" },
	{ 0x788b867b, "iput" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xa8c943b2, "logfc" },
	{ 0x86f5bc72, "__put_devmap_managed_page_refs" },
	{ 0xa83c019a, "iter_file_splice_write" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1e7c1ad2, "init_pid_ns" },
	{ 0x9680de56, "dax_iomap_fault" },
	{ 0x69545e56, "iov_iter_init" },
	{ 0xbb6ff23c, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x35ee2b4d, "sysfs_create_mount_point" },
	{ 0x2a8e568, "generic_file_write_iter" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xed3a5ebd, "register_filesystem" },
	{ 0x539d955, "kmem_cache_create" },
	{ 0x79d14188, "folio_add_lru" },
	{ 0xcd08221c, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68db393c, "sync_inode_metadata" },
	{ 0xc7b3776b, "simple_empty" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4a930d5d, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12949573, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7b2c0c63, "get_tree_nodev" },
	{ 0xe4fe7380, "splice_file_range" },
	{ 0x89468001, "simple_inode_init_ts" },
	{ 0x75c2e70c, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4f804611, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x9898de06, "fs_param_is_u32" },
	{ 0x3f45c2a9, "inode_newsize_ok" },
	{ 0xdfe72795, "d_drop" },
	{ 0xdbca4ac9, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x1a058d7f, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3f118d9d, "bdi_put" },
	{ 0xc898d223, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xb15e0f59, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xb956ae35, "make_kuid" },
	{ 0xe20200e7, "truncate_inode_pages_final" },
	{ 0xfeb8a15c, "fs_kobj" },
	{ 0x3ffbc546, "__filemap_set_wb_err" },
	{ 0x55cfa408, "simple_dir_operations" },
	{ 0x9c77c4d5, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x363ff54c, "__free_pages" },
	{ 0xd13eb783, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x3ecb6430, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xb5579285, "setattr_should_drop_suidgid" },
	{ 0x43d13ca4, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5917A800F1008CCB5508DC7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
