#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xded566b4, "snd_soc_dapm_disable_pin" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x76d14a99, "max_98357a_dai_link" },
	{ 0x5a7e18b2, "max_98360a_dai_link" },
	{ 0x4a724746, "snd_soc_dai_set_sysclk" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0x9c84af3d, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6613e534, "snd_soc_dapm_sync" },
	{ 0x29f360e8, "sof_rt1015_codec_conf" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x62e2cc52, "snd_soc_component_set_jack" },
	{ 0x1805458, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0xe58479db, "rt5645_sel_asrc_clk_src" },
	{ 0x97880c92, "snd_soc_dapm_get_pin_switch" },
	{ 0x9805e4f6, "max_98373_components" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x3a1d8ad9, "max_98373_spk_codec_init" },
	{ 0x32f93764, "max_98390_dai_link" },
	{ 0x4358e784, "sof_ssp_detect_amp_type" },
	{ 0x947c57bc, "max_98373_set_codec_conf" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x6c2aec55, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x27fd1814, "snd_jack_set_key" },
	{ 0x7df70d1e, "__platform_driver_register" },
	{ 0x785fdd19, "snd_soc_card_jack_new_pins" },
	{ 0xec0451e5, "sof_rt1015p_codec_conf" },
	{ 0x1ea58ce0, "snd_soc_dai_set_pll" },
	{ 0xebf7add6, "rt5682_sel_asrc_clk_src" },
	{ 0x96a5f070, "snd_soc_dapm_put_pin_switch" },
	{ 0xd5464fb7, "sof_dai_get_mclk" },
	{ 0x4aa9c666, "sof_rt1011_codec_conf" },
	{ 0xa7183661, "snd_soc_dapm_info_pin_switch" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xd927a1e2, "sof_intel_board_set_dai_link" },
	{ 0x96cfd86f, "snd_soc_pm_ops" },
	{ 0x4ab90b12, "sof_ssp_detect_codec_type" },
	{ 0x1472cdbf, "max_98390_set_codec_conf" },
	{ 0xdcfad70d, "sof_rt1015p_dai_link" },
	{ 0xaf526ef8, "sof_rt1019p_dai_link" },
	{ 0xa23fbccf, "sof_rt1011_dai_link" },
	{ 0x815588a6, "clk_enable" },
	{ 0x32a676be, "devm_snd_soc_register_card" },
	{ 0x85a97397, "max_98373_ops" },
	{ 0xb6719c29, "sof_intel_board_card_late_probe" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0xbc8104d5, "platform_driver_unregister" },
	{ 0x5be3d339, "snd_soc_dai_set_tdm_slot" },
	{ 0x388a6c8d, "sof_rt1015_dai_link" },
	{ 0xf4c6b797, "rt5682s_sel_asrc_clk_src" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-intel-sof-maxim-common,snd-soc-intel-sof-realtek-common,snd-soc-rt5645,snd-soc-intel-sof-ssp-common,snd,snd-soc-rt5682,snd-sof,snd-soc-intel-sof-board-helpers,snd-pcm,snd-soc-rt5682s");

MODULE_ALIAS("platform:sof_rt5682");
MODULE_ALIAS("platform:cml_rt1015_rt5682");
MODULE_ALIAS("platform:jsl_rt5682_rt1015");
MODULE_ALIAS("platform:jsl_rt5682_mx98360");
MODULE_ALIAS("platform:jsl_rt5682_rt1015p");
MODULE_ALIAS("platform:jsl_rt5682");
MODULE_ALIAS("platform:jsl_rt5650");
MODULE_ALIAS("platform:tgl_mx98357_rt5682");
MODULE_ALIAS("platform:tgl_rt1011_rt5682");
MODULE_ALIAS("platform:tgl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98357_rt5682");
MODULE_ALIAS("platform:adl_max98390_rt5682");
MODULE_ALIAS("platform:adl_mx98360_rt5682");
MODULE_ALIAS("platform:adl_rt5682");
MODULE_ALIAS("platform:adl_rt1019_rt5682");
MODULE_ALIAS("platform:adl_rt5682_c1_h02");
MODULE_ALIAS("platform:adl_rt5650");
MODULE_ALIAS("platform:rpl_mx98357_rt5682");
MODULE_ALIAS("platform:rpl_mx98360_rt5682");
MODULE_ALIAS("platform:rpl_rt1019_rt5682");
MODULE_ALIAS("platform:rpl_rt5682_c1_h02");
MODULE_ALIAS("platform:mtl_mx98357_rt5682");
MODULE_ALIAS("platform:mtl_mx98360_rt5682");
MODULE_ALIAS("platform:mtl_rt1019_rt5682");
MODULE_ALIAS("platform:mtl_rt5650");

MODULE_INFO(srcversion, "584BDFDB66E812B8720A5D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
