#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0xe9cad99a, "");
SYMBOL_CRC(hda_bus_ml_free, 0xb2060f78, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x0719a290, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x29e1d31e, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x194f9383, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x94d00f74, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0xb9f8992d, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x333abcdb, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0xf332da61, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x98f1c842, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0xa421d80b, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x0e9f2b7e, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x61d1850c, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x8e10ae25, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x7154a43a, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xe7d2e6d7, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0xaa654ef4, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x5909e5c5, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x2fd8065a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x78f5e05f, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0xa1532111, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x424ba471, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0xa18788a7, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0xc877e1dc, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x9dbb1672, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x919f83ab, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x9ea089cb, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x7c04c0fa, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xa0895db8, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xab5f8e11, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x73ba6a14, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x18631063, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x37c6137c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa10730d5, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd2b1050b, "snd_hdac_ext_bus_link_power_down" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc0e45f94, "snd_hdac_ext_bus_link_put" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
