#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8d2185, "crypto_register_shash" },
	{ 0x1d0ee9a1, "crypto_unregister_shash" },
	{ 0xb49484e0, "crypto_register_ahash" },
	{ 0x639e1e, "cryptd_shash_desc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc6cbf66, "crypto_ahash_digest" },
	{ 0x804252d6, "crypto_ahash_final" },
	{ 0x4aece1af, "crypto_shash_final" },
	{ 0xda56561a, "shash_ahash_digest" },
	{ 0xa1d3248f, "cryptd_ahash_queued" },
	{ 0xa44e9da6, "crypto_ahash_update" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x602e4655, "cryptd_free_ahash" },
	{ 0x6ab5ac60, "cryptd_alloc_ahash" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xf2a5d9c0, "shash_ahash_update" },
	{ 0x6ca18c87, "crypto_ahash_setkey" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0x19603c96, "cryptd_ahash_child" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa31a140a, "crypto_unregister_ahash" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "cryptd");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*0081*");

MODULE_INFO(srcversion, "CC15CA7EE471EA85A026CE1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
