#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0xe60629fb, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x42a60094, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xb9253261, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x0867c7bd, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x616de3e7, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x2c94a1d7, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x3f607830, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x1030f5c5, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x23b15764, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x2799080a, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x25177a25, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x29ed209f, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x8aefab46, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x4a17da23, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xf5210c5a, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x9eba46fd, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x7208e2ca, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x0bd6f80a, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x6cd1e622, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x017ef447, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0xdc9eed59, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xc0e99b61, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xe8fac5b2, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xf442fefd, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x7a268c93, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xb74c662e, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0xe6c6441b, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x2cc2b68f, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xecbc62d0, "");
SYMBOL_CRC(drm_dp_aux_init, 0x5fd0c405, "");
SYMBOL_CRC(drm_dp_aux_register, 0xa0713018, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x98e32c0e, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x276587c5, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x6a5bbe9c, "");
SYMBOL_CRC(drm_dp_read_desc, 0x74c19a0b, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x49c0f954, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xe11219d9, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x61014a32, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x81e85cbb, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x8f325413, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x9f27ca74, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x88922de6, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x95e9cee2, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x588bf063, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x5a2b7fd6, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x74a21495, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x7ac54e19, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x0f8f3bfb, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0xb0414193, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x619d0dfe, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x7b1da01a, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x112c6a2c, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xfd3b9803, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0xfbc980b2, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xe09dabd0, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x8d981641, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x15a1314e, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xd6513dfa, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x960c216b, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x53ac916c, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x944bcd6b, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0xc71b2daa, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x265c639a, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x592b93a8, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x3451b7e4, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x86e80831, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0xb599461c, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xa8580e66, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xfd665ff9, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xc9cf149a, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x0e9ee949, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xb145fe91, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x9377b81f, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xd971140e, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x1d002444, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x9e135e34, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x809cc73f, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x9026fa5c, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xaed52a83, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xe5f5ad56, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0xf869f891, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x114b01e1, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xce1b8af7, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x78bec749, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x211fa987, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x2e6b03a0, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x910a15f1, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x6b8614bc, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x0c29a131, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x214ba5c4, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xd2278a83, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xce336bc8, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xef27c013, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xcae034f2, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x85997f5b, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x79bda602, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x530982ed, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xde0cd097, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0xa6fe2e91, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x80b5d8f0, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0xcabe3b63, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x856f74f3, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x75fb01e5, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x2590c4d0, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xa1f378e7, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x3f4f4fd7, "");
SYMBOL_CRC(drm_scdc_read, 0xecd3f3bd, "");
SYMBOL_CRC(drm_scdc_write, 0x110f1607, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0xf70b7abc, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x7cb18c74, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x8bd9c1ac, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xdd25e7a5, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x11d0d251, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0xfa5a4e19, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x39233392, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xd286d8a9, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x373c7bfa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16f1092c, "drm_mode_object_put" },
	{ 0xb00b691e, "dev_driver_string" },
	{ 0x6ca10bb5, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x487edf43, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3a1970ac, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xc44d1895, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x87d5fa1c, "drm_dev_printk" },
	{ 0xe8d91edc, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0xe8204098, "drm_atomic_get_crtc_state" },
	{ 0x9b5a54dd, "drm_crtc_wait_one_vblank" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x1981b78a, "drm_modeset_lock" },
	{ 0x806359df, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xee06595, "device_create" },
	{ 0x305eea4b, "class_create" },
	{ 0x78903f03, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd815c47f, "fixed_size_llseek" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x116ea689, "drm_crtc_commit_wait" },
	{ 0x2fc9be30, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x11089fa0, "cec_unregister_adapter" },
	{ 0x80b7624, "drm_object_attach_property" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xaeb8fc27, "drm_atomic_get_old_private_obj_state" },
	{ 0x78c4bfe5, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x979d8dfd, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbaf39af9, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x467f54a1, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2b0ef259, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x27637bb4, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x657e1a9a, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17452315, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x13fcdfec, "_copy_from_iter" },
	{ 0x118fc8e1, "i2c_transfer" },
	{ 0xcae146c8, "drm_display_mode_from_cea_vic" },
	{ 0x931886df, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x925bffeb, "cec_fill_conn_info_from_drm" },
	{ 0x8aa0396c, "drm_sysfs_connector_property_event" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xadb0b0e1, "cec_received_msg_ts" },
	{ 0xbd22ade2, "param_ops_int" },
	{ 0xaea9c714, "_dev_printk" },
	{ 0x9f8a21ad, "iov_iter_revert" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x2e5411a, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0xf44c0b64, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0x61b14dfa, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2c081417, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xa61ec3ea, "drm_crtc_add_crc_entry" },
	{ 0x6862328f, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x364b04f, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x86950318, "drm_connector_register" },
	{ 0x73e3a451, "cec_transmit_attempt_done_ts" },
	{ 0x50749270, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0x502cca52, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf989f7b8, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xeb6b2174, "class_destroy" },
	{ 0x70792b3f, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xca6bb96b, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x7b181e5b, "drm_connector_unregister" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "2C40611221E6CED6FCFA865");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
