#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x56966f61, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x8da2177b, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x21d74bcf, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0xd2647962, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0xbeddc698, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x3e6166e4, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x3eb78383, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x69f97ea6, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0xaaa58aad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x74b8d755, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0x25bf124c, "hid_hw_open" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0xb06815a5, "hid_hw_close" },
	{ 0xa93dd17, "__hid_register_driver" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x65b45cb, "complete" },
	{ 0xd72f3d00, "hid_hw_stop" },
	{ 0x7744d2cf, "mfd_remove_devices" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xf3953984, "hid_unregister_driver" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x641801d8, "hid_open_report" },
	{ 0xc45349fe, "hid_hw_start" },
	{ 0xceae96de, "devm_kasprintf" },
	{ 0xf6fb60c4, "mfd_add_devices" },
	{ 0xb855bf4f, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "636C065A7E7A6E60E283836");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
