#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rc_map_get, "_gpl", "");
KSYMTAB_FUNC(rc_map_register, "_gpl", "");
KSYMTAB_FUNC(rc_map_unregister, "_gpl", "");
KSYMTAB_FUNC(rc_g_keycode_from_table, "_gpl", "");
KSYMTAB_FUNC(rc_keyup, "_gpl", "");
KSYMTAB_FUNC(rc_repeat, "_gpl", "");
KSYMTAB_FUNC(rc_keydown, "_gpl", "");
KSYMTAB_FUNC(rc_keydown_notimeout, "_gpl", "");
KSYMTAB_FUNC(rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_free_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_register_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_register_device, "_gpl", "");
KSYMTAB_FUNC(rc_unregister_device, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_edge, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_timeout, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_filter, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_set_idle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_handle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_gen_manchester, "", "");
KSYMTAB_FUNC(ir_raw_gen_pd, "", "");
KSYMTAB_FUNC(ir_raw_gen_pl, "", "");
KSYMTAB_FUNC(ir_raw_encode_scancode, "", "");
KSYMTAB_FUNC(ir_raw_encode_carrier, "", "");
KSYMTAB_FUNC(ir_raw_handler_register, "", "");
KSYMTAB_FUNC(ir_raw_handler_unregister, "", "");
KSYMTAB_FUNC(lirc_scancode_event, "_gpl", "");

SYMBOL_CRC(rc_map_get, 0x1f4c6307, "_gpl");
SYMBOL_CRC(rc_map_register, 0xdaed480e, "_gpl");
SYMBOL_CRC(rc_map_unregister, 0xa9dc54b5, "_gpl");
SYMBOL_CRC(rc_g_keycode_from_table, 0x0352f777, "_gpl");
SYMBOL_CRC(rc_keyup, 0x733572cf, "_gpl");
SYMBOL_CRC(rc_repeat, 0xa682586a, "_gpl");
SYMBOL_CRC(rc_keydown, 0xc35013d6, "_gpl");
SYMBOL_CRC(rc_keydown_notimeout, 0xe77404af, "_gpl");
SYMBOL_CRC(rc_allocate_device, 0xe2d98dcf, "_gpl");
SYMBOL_CRC(rc_free_device, 0xfc64c7f3, "_gpl");
SYMBOL_CRC(devm_rc_allocate_device, 0xdeb06bcb, "_gpl");
SYMBOL_CRC(rc_register_device, 0x8766e3f0, "_gpl");
SYMBOL_CRC(devm_rc_register_device, 0xac1a8bda, "_gpl");
SYMBOL_CRC(rc_unregister_device, 0x70cd421f, "_gpl");
SYMBOL_CRC(ir_raw_event_store, 0x5882d57d, "_gpl");
SYMBOL_CRC(ir_raw_event_store_edge, 0x2c165726, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_timeout, 0x36277b9d, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_filter, 0xaa487e9a, "_gpl");
SYMBOL_CRC(ir_raw_event_set_idle, 0x1ba8a176, "_gpl");
SYMBOL_CRC(ir_raw_event_handle, 0x743557ab, "_gpl");
SYMBOL_CRC(ir_raw_gen_manchester, 0xce3696f3, "");
SYMBOL_CRC(ir_raw_gen_pd, 0x2fe55cf5, "");
SYMBOL_CRC(ir_raw_gen_pl, 0x7a02ee87, "");
SYMBOL_CRC(ir_raw_encode_scancode, 0x01098f88, "");
SYMBOL_CRC(ir_raw_encode_carrier, 0xb5516017, "");
SYMBOL_CRC(ir_raw_handler_register, 0x5525ae73, "");
SYMBOL_CRC(ir_raw_handler_unregister, 0xbff47ca0, "");
SYMBOL_CRC(lirc_scancode_event, 0x30ced108, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x895b62e, "led_trigger_unregister_simple" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xdf642baa, "__module_get" },
	{ 0xd6a4f070, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7bcb8465, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21318466, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb3d804ac, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7f0a8b06, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc0add2e, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6af3998, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0x9ef18f27, "module_put" },
	{ 0x677395f1, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3d3d5252, "fput" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x7d51f56d, "device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x305eea4b, "class_create" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa0c19f52, "__devres_alloc_node" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6573f300, "ida_free" },
	{ 0x494a977d, "class_unregister" },
	{ 0x341e346d, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x71a0e22d, "device_del" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x518dda53, "input_event" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x17a90f39, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5c30acdb, "stream_open" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x11067434, "led_trigger_event" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x91b63772, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56979a97, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3cb0a928, "input_allocate_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x555b97f1, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc407d928, "cdev_device_del" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xeb6b2174, "class_destroy" },
	{ 0xfe3ab7d4, "led_trigger_register_simple" },
	{ 0x1057a279, "bsearch" },
	{ 0xe7394819, "device_initialize" },
	{ 0xec5cc9a5, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd67e9c8d, "kobject_get_path" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1BB0D81B5BA4EE774D2F4DF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
