#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xabb0aad0, "usb_free_coherent" },
	{ 0xcccd30e7, "usb_kill_urb" },
	{ 0x3c443a9f, "usb_free_urb" },
	{ 0x579d85f5, "usb_alloc_coherent" },
	{ 0x311da206, "usb_alloc_urb" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0x3053b129, "vb2_vmalloc_memops" },
	{ 0x5789174, "vb2_queue_init" },
	{ 0x7ab5d89a, "v4l2_ctrl_handler_init_class" },
	{ 0xa2f29474, "v4l2_ctrl_new_std" },
	{ 0xfc2f87e5, "v4l2_ctrl_auto_cluster" },
	{ 0x4a08ce85, "__v4l2_ctrl_grab" },
	{ 0xe2b16ff8, "v4l2_ctrl_handler_setup" },
	{ 0x2a8f8dc8, "v4l2_device_register" },
	{ 0xe526ff8e, "video_device_release_empty" },
	{ 0x5fae07f4, "__video_register_device" },
	{ 0x806a4f6c, "vb2_fop_read" },
	{ 0x7f84808d, "vb2_fop_write" },
	{ 0xc13a94cd, "vb2_fop_poll" },
	{ 0x31833cb2, "video_ioctl2" },
	{ 0x922f3d6, "vb2_fop_mmap" },
	{ 0xf2faa5c9, "v4l2_fh_open" },
	{ 0xb3b83b2, "vb2_fop_release" },
	{ 0x355eccb5, "vb2_ioctl_reqbufs" },
	{ 0xb7c4b7cf, "vb2_ioctl_querybuf" },
	{ 0xc84aa796, "vb2_ioctl_qbuf" },
	{ 0x1345104a, "vb2_ioctl_expbuf" },
	{ 0xa0a4d558, "vb2_ioctl_dqbuf" },
	{ 0x79f6b940, "vb2_ioctl_create_bufs" },
	{ 0x6d5bb5d1, "vb2_ioctl_prepare_buf" },
	{ 0xd48c6d48, "vb2_ioctl_streamon" },
	{ 0xd113f65a, "vb2_ioctl_streamoff" },
	{ 0xbbd0679b, "v4l2_ctrl_log_status" },
	{ 0xffd59ad9, "v4l2_ctrl_subscribe_event" },
	{ 0x6be06574, "v4l2_event_unsubscribe" },
	{ 0x1b3783b2, "vb2_ops_wait_prepare" },
	{ 0xaa65f6db, "vb2_ops_wait_finish" },
	{ 0x24067450, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e376172, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9e54d416, "v4l2_device_disconnect" },
	{ 0x84e9370a, "video_unregister_device" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf7bd63f8, "v4l2_device_put" },
	{ 0x4474c7f8, "v4l2_ctrl_handler_free" },
	{ 0x3b06919c, "v4l2_device_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7eab51e, "video_devdata" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x19d33780, "vb2_buffer_done" },
	{ 0x69acdf38, "memcpy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x1aea09da, "vb2_plane_vaddr" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc4f13423, "usb_submit_urb" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0xe4cad8ba, "_dev_notice" },
	{ 0xb98a274b, "usb_control_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75edce47, "usb_deregister" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videobuf2-vmalloc,videobuf2-v4l2,videodev,videobuf2-common");

MODULE_ALIAS("usb:v1D50p6089d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B20E5B3B5898B7C0C2934A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
