#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x4162621e, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x93a2c3c4, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xe04b9e7d, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0xd7f5483a, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x2cf02451, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0xc1b8781a, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x641348b9, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0xb2989529, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0xf781cdc4, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x3239e849, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x96ba959f, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x4f7d86b7, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0xf039a6ba, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0xe2a6a54a, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x6ee374ee, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0xd567f78b, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0xcc404670, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xe5e30d96, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xb77124f8, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xc8a553a4, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x09ab550f, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0xf768aa97, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x187f91a5, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x4702b57c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc124a605, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4857074a, "pci_disable_msi" },
	{ 0xd4d3fd6a, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa2e00394, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc6d27288, "pci_read_config_dword" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xfb4b8683, "pm_schedule_suspend" },
	{ 0x9e4f9b44, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc9e054c9, "pci_enable_msi" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x954f099c, "idr_preload" },
	{ 0x64accd1a, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x996aac82, "dma_alloc_attrs" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf6fb60c4, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x1a10591e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66fef747, "pm_runtime_forbid" },
	{ 0x7cd162eb, "dma_free_attrs" },
	{ 0xe8859c69, "pm_runtime_allow" },
	{ 0x68139353, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24067450, "param_ops_bool" },
	{ 0xeacdf2a6, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x97373a61, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x34432620, "pci_disable_device" },
	{ 0x7744d2cf, "mfd_remove_devices" },
	{ 0x780f8a03, "dma_set_mask" },
	{ 0x31eafb43, "dma_unmap_sg_attrs" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x2c54881b, "pci_read_config_byte" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd8f31b01, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe4907022, "pci_write_config_dword" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0xb39acb3b, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9dc67519, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb2f5b07, "pci_find_ext_capability" },
	{ 0xe38fcf15, "pci_enable_device" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "A1FDFBA8B366572C39CF75E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
