#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0x1667bf7e, "_gpl");
SYMBOL_CRC(mei_reset, 0x54e31657, "_gpl");
SYMBOL_CRC(mei_start, 0x16e517d1, "_gpl");
SYMBOL_CRC(mei_restart, 0xc8e134fa, "_gpl");
SYMBOL_CRC(mei_stop, 0x865ca634, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0xa5a13b1a, "_gpl");
SYMBOL_CRC(mei_device_init, 0x369df0c0, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0x832f562a, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0xa941ad68, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x93b1ac22, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0x595c8c53, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0x07daff2b, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0xf4365aec, "_gpl");
SYMBOL_CRC(mei_register, 0x16fc206f, "_gpl");
SYMBOL_CRC(mei_deregister, 0x81ef0b69, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0xf4ca6c97, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag_timeout, 0xf700618f, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0xe5f58cda, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0xef6c2968, "_gpl");
SYMBOL_CRC(mei_cldev_recv_timeout, 0x76533d7f, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag_timeout, 0x4668db18, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0xaf8adad7, "_gpl");
SYMBOL_CRC(mei_cldev_send_timeout, 0x0b50d261, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x5108beee, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0xc9ebc3f3, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0xbd981d1c, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0xa2f79db2, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x188d90a5, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0xf4f84b6c, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x25abf874, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0xd5944480, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0xc0861b92, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0x6a15b4c3, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x6a74bae2, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x6555509c, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0x793fa2af, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x51b1b497, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0x8c4b8244, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0x89b27c50, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0xf7414aa3, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x222b547d, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0xa49678cb, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x70d596a3, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x9ac6860c, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0x33efa8fb, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0x11a364d4, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x43d684bb, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0xf4c5d950, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x72aaead1, "debugfs_write_file_bool" },
	{ 0x6af3998, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0x9ef18f27, "module_put" },
	{ 0x677395f1, "compat_ptr_ioctl" },
	{ 0x451317a2, "cdev_add" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xcb1e8bd0, "perf_trace_run_bpf_submit" },
	{ 0x5adf93ad, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x8795c849, "simple_open" },
	{ 0x7d51f56d, "device_add" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7f9ca33a, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xa9c638cf, "fasync_helper" },
	{ 0x321fe1b7, "trace_event_reg" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x3abf497e, "driver_unregister" },
	{ 0x494a977d, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x71a0e22d, "device_del" },
	{ 0xff2bfc49, "dmam_free_coherent" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0x65d45fdb, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfc9dbef, "nonseekable_open" },
	{ 0x9e119369, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa26384f7, "device_create_with_groups" },
	{ 0xdd64e639, "strscpy" },
	{ 0x887e4d77, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfcbb0614, "trace_event_buffer_reserve" },
	{ 0x68139353, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x657e1a9a, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17452315, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x931886df, "seq_puts" },
	{ 0x177e90b3, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xfb6f0f81, "__pm_runtime_suspend" },
	{ 0x2a4f02a9, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xe2934fe1, "single_open" },
	{ 0xe274bbfc, "debugfs_create_dir" },
	{ 0x369f04d, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x8265b78c, "driver_register" },
	{ 0x91b63772, "class_register" },
	{ 0x56979a97, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0xb6f2b15c, "cdev_del" },
	{ 0x94a463cf, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x82119744, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9297cf95, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x405b3e79, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x555b97f1, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9798aeab, "dmam_alloc_attrs" },
	{ 0x65359102, "trace_raw_output_prep" },
	{ 0x8d1b1c24, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x422c6300, "kill_fasync" },
	{ 0x979bb85d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe7394819, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc52c618e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0xf52f7528, "seq_lseek" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xdf642baa, "__module_get" },
	{ 0xd6a4f070, "get_device" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe77e0dd3, "debugfs_read_file_bool" },
	{ 0x21e42c2e, "trace_event_buffer_commit" },
	{ 0xf1f00d37, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A4E60DCDC8E56B3CF9FE11C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
