#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0x2c8f6a62, "");
SYMBOL_CRC(ocelot_mact_forget, 0x41650633, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x14316bc2, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xb10842fd, "");
SYMBOL_CRC(ocelot_pll5_init, 0xb5a3c2f2, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xde3ad18a, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0xc7191c0b, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x795ea14b, "");
SYMBOL_CRC(ocelot_vlan_add, 0xacc323dd, "");
SYMBOL_CRC(ocelot_vlan_del, 0x98574fbf, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x0a48f83c, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xd76c169f, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xdc33d6c4, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x62a257c2, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0xe932a41c, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x2c997a21, "");
SYMBOL_CRC(ocelot_can_inject, 0x285c0a2c, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x04effea2, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xc32f2c40, "");
SYMBOL_CRC(ocelot_fdb_add, 0x6036456e, "");
SYMBOL_CRC(ocelot_fdb_del, 0x3021642b, "");
SYMBOL_CRC(ocelot_mact_flush, 0x779d6e0e, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xe58e6c5f, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x9bc3b186, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x7d924f89, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x3290799f, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x8dc2379e, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x6202c9c9, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x684b3d6d, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x009cc726, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xf803f3dc, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x632cf316, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x43559482, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0xfbe71f03, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x62fb8faf, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0xbec938a1, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x2ebf1e01, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0xbd849896, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x19ea7271, "");
SYMBOL_CRC(ocelot_port_lag_change, 0xc73ec474, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0xc94339af, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0xa6af56e8, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x43946bf2, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0xe87970ee, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0xc03c7d3b, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x6e7b6931, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xed15ff21, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0xa0b7522b, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xf6fe5a05, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x62ad4bff, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0xf4dd26a0, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x90b040b2, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x69cb4f9e, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x4422e496, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x3bd63dbf, "");
SYMBOL_CRC(ocelot_reset, 0xa4e35087, "");
SYMBOL_CRC(ocelot_init, 0x50ee3cb4, "");
SYMBOL_CRC(ocelot_deinit, 0xfc7fdce7, "");
SYMBOL_CRC(ocelot_deinit_port, 0x0517da5f, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x89333aa7, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x535265b4, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xc007f380, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x55a405d8, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x3afac88f, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x1f137b22, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x80ce59a5, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x69cf830d, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0xefcc994c, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0xe0576ae2, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x6bd46617, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x56712071, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x07b3c19d, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0xc8bf6f3c, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x6a5d586f, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0xd2e71016, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x85a4b969, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x387ca3db, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x7b69a920, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0xd9c8550c, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0xf7903792, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0xc572f0ae, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x6cef0f02, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x72089db0, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x4eca7598, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x8c22b82e, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0xd99fb895, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x31256637, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x60922343, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x9c816b44, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x30f2a67c, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x7ca73611, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0xabc42826, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x2d4d6cf4, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x4153eeb9, "");
SYMBOL_CRC(ocelot_ptp_enable, 0xabe5ba26, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x0902ff84, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0xc4d89c0f, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x31ed552e, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0xdde3cf98, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xf47b8fdd, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x7f45e48c, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x7c12b9ec, "");
SYMBOL_CRC(ocelot_get_strings, 0x9d0388ce, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x7b2e4cfd, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x8ec2a22b, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xc3fce20f, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x27feeaa5, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0xcc311bdc, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x9162d42f, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0xd3d4b413, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x48918c6c, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x46360019, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x3a2461db, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x04222564, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x4b0700a6, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x391d3308, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x9f66cdb5, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x91213536, "");
SYMBOL_CRC(ocelot_mrp_del, 0xf411b8ce, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x84f9dba2, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0xe48501c1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d005d57, "flow_rule_match_ipv4_addrs" },
	{ 0xb23ae23c, "regmap_field_update_bits_base" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x5f2bd334, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6cd9cb59, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x604f59f6, "skb_queue_purge_reason" },
	{ 0x7a9d52b5, "ptp_find_pin" },
	{ 0x5be0bde3, "eth_type_trans" },
	{ 0x21b7dba2, "ethtool_aggregate_pause_stats" },
	{ 0x88071f2, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb026d753, "regmap_fields_read" },
	{ 0xdb988b37, "skb_queue_tail" },
	{ 0x7cb35bc1, "regmap_field_read" },
	{ 0xb6182473, "devm_regmap_field_alloc" },
	{ 0x9d59018d, "ptp_classify_raw" },
	{ 0x547e9514, "flow_rule_match_basic" },
	{ 0xe2948121, "__dev_get_by_index" },
	{ 0x7808e649, "devm_kfree" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x6545734, "ptp_clock_register" },
	{ 0x1c33f123, "netif_set_real_num_tx_queues" },
	{ 0x83e44fc3, "kfree_skb_reason" },
	{ 0x1e4b2890, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3a660220, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0x9995bd03, "flow_rule_match_ports" },
	{ 0xb2a1a835, "__devm_regmap_init_mmio_clk" },
	{ 0xfe2218dc, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x228904cc, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb5ca9b68, "ptp_clock_unregister" },
	{ 0xb274e071, "__netdev_alloc_skb" },
	{ 0x6d3741cc, "of_phy_get" },
	{ 0x226bad38, "phy_set_mode_ext" },
	{ 0xc75ce097, "netdev_reset_tc" },
	{ 0xf6f19f91, "regmap_read" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9dafa329, "devm_ioremap_resource" },
	{ 0xebeab585, "ethtool_aggregate_rmon_stats" },
	{ 0x5395784b, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x67d491dd, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9dbe9a5a, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x978a2ab1, "netdev_set_num_tc" },
	{ 0x4f8f812b, "regmap_update_bits_base" },
	{ 0x85504d44, "dev_err_probe" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x27d23866, "dev_kfree_skb_any_reason" },
	{ 0x766fbcee, "devlink_sb_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x8b39a30, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0xca6a7a17, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeda5ebeb, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0xc100b01d, "skb_put" },
	{ 0xdc024624, "skb_tstamp_tx" },
	{ 0xfb4b00e0, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf78c9ba7, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x34dad56b, "regmap_fields_update_bits_base" },
	{ 0xc3730271, "flow_rule_match_eth_addrs" },
	{ 0xfb5597df, "ptp_clock_index" },
	{ 0x741694cb, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "F1EC45826B5C2D56912F4B7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
