#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x3f341d06, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x52acfe2f, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x6e4200d6, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x4fafe3eb, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0xddf8ec3d, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9f6385f4, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x151ee05b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x6319638d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x7b0db5ff, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0xc2acf066, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x2dea97a3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x4d6c073b, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x15f65dbf, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x5313a144, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x8601f36a, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0xbdb66855, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x69e1b08d, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x62306afc, "_gpl");
SYMBOL_CRC(mt76_dma_wed_reset, 0x84e45450, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xff1546fa, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x3c44c13e, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x397f53ac, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xc4c77174, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x01908f6f, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x97196619, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xc45c9089, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xe829d33d, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x39286604, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x32f0315d, "_gpl");
SYMBOL_CRC(mt76_rx, 0xc25a4c59, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x2d041d35, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x4c5c7483, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xb3b2e275, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x78bb6fe1, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xafc55927, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x6584b8a2, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x9e4ea627, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xece81627, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0xb120af3b, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x4ab2efc8, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x2c612006, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x0f046814, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x34ca619f, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x7d5ab830, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x5d66a2b1, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xf4c43339, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xf26f40fa, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x36064101, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x79e85e6a, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xd1642af4, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xbfda9498, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x66820097, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xbd3e0f2c, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x999cf34a, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x612e10a7, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x2fcf1460, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xf92d2a04, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xc9a00628, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x7a09a47b, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x3d6dea9a, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x68f02b51, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x5edbebe7, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x28953e6c, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x49fcf1e6, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xdb3a719f, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x2c8458a8, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x33f1a105, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x00992981, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xdd666d16, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x2dd1c5d1, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x5919d4a3, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xe982bac6, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x52030f1e, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xd756727d, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xb23e0dc2, "_gpl");
SYMBOL_CRC(mt76_tx, 0x4031ac1f, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x0d8fc770, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xd29763ff, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xaebc676a, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x1576843f, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x8353465b, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x5bb27ebd, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x0d5ec123, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x76d27cc6, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x02040f48, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xabc5a248, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x8ffdefe1, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x20155d3a, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x5ba04f64, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xf718e8d1, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xa6a5c31c, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x7004d250, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xc322ed2b, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x942c11ae, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x8e161e62, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x88776ccc, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x34a72c1e, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x8877c302, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe43f19ad, "debugfs_create_blob" },
	{ 0xc52c618e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xb159afca, "page_pool_destroy" },
	{ 0x6ba42c21, "ieee80211_register_hw" },
	{ 0x980758e1, "led_classdev_unregister" },
	{ 0x33172c40, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x883d4c16, "ieee80211_sta_eosp" },
	{ 0x7074e355, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xfd9a1e26, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xa8300bff, "kthread_park" },
	{ 0xc5effc2a, "sched_set_fifo_low" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21318466, "wake_up_process" },
	{ 0xb00b691e, "dev_driver_string" },
	{ 0x21e42c2e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6a5ba52c, "dma_map_page_attrs" },
	{ 0xadf55310, "napi_complete_done" },
	{ 0xe6e1c1b1, "ieee80211_get_tx_rates" },
	{ 0xb2cec378, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x6eb13823, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef829187, "debugfs_create_devm_seqfile" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x13ee8580, "__alloc_skb" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x699c5296, "pci_disable_link_state" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0xc4fd174b, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xdb988b37, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x92c9cb72, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x7d07dcb4, "debugfs_attr_read" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x185c012e, "ieee80211_queue_delayed_work" },
	{ 0xa30615b6, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xcb1e8bd0, "perf_trace_run_bpf_submit" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0xa250508, "debugfs_create_file_unsafe" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x7b7031d, "simple_attr_release" },
	{ 0xe29eae29, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe841e158, "ieee80211_find_sta_by_ifaddr" },
	{ 0xa58d80, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x64accd1a, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf042dfd4, "skb_push" },
	{ 0x3ff7a205, "napi_enable" },
	{ 0x9230711e, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x321fe1b7, "trace_event_reg" },
	{ 0xe133ec66, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x341e346d, "kthread_stop" },
	{ 0x3fe052ee, "ieee80211_free_txskb" },
	{ 0x15f73ae4, "led_classdev_register_ext" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xad93fc38, "ieee80211_alloc_hw_nm" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x535aa9aa, "ieee80211_tx_dequeue" },
	{ 0x1d3a9d6, "ieee80211_rx_list" },
	{ 0x7e7ee768, "dma_sync_single_for_cpu" },
	{ 0x830cd100, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbf244176, "debugfs_create_u32" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x17a90f39, "kthread_create_on_node" },
	{ 0x872eee44, "cfg80211_reg_can_beacon" },
	{ 0x82b21902, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfcbb0614, "trace_event_buffer_reserve" },
	{ 0xfb9d8086, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa26eddec, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1349bf6d, "napi_build_skb" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17452315, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x931886df, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xced5f625, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x31b26fda, "debugfs_create_u8" },
	{ 0xe274bbfc, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x337ab4a4, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0xe737336a, "ieee80211_csa_finish" },
	{ 0xc1991ede, "page_pool_put_unrefed_page" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdbfb5904, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9dc67519, "pcie_capability_read_word" },
	{ 0xc74bf7e5, "__skb_pad" },
	{ 0x8331d31f, "page_pool_get_stats" },
	{ 0x51e0f1ec, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7d5bfd8a, "__ieee80211_schedule_txq" },
	{ 0x3af3ee7e, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0xc100b01d, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcc714190, "page_pool_alloc_frag" },
	{ 0x5cf0a55c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x846a109a, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x9798aeab, "dmam_alloc_attrs" },
	{ 0x65359102, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x54012fbc, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8d1b1c24, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x352944e1, "ieee80211_free_hw" },
	{ 0x9f5871d2, "dma_unmap_page_attrs" },
	{ 0x475f2cd6, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x979bb85d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x80db6417, "dma_sync_single_for_device" },
	{ 0x58fd56a2, "skb_add_rx_frag" },
	{ 0xba76d7ff, "ieee80211_tx_status_ext" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C8C7FCD5436049DA126085A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
