#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_DATA(rtw89_debug_mask, "", "");
KSYMTAB_FUNC(rtw89_debug, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0xfb1e2ee6, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x6a2ae781, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0xe527082a, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x001cf4a4, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x8f111b0f, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xc939e558, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x6b04094f, "");
SYMBOL_CRC(rtw89_core_rx, 0xc6cd9cef, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x8c3fe279, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x13103258, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x328ad3e8, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x44b1d662, "");
SYMBOL_CRC(rtw89_core_init, 0x2494a392, "");
SYMBOL_CRC(rtw89_core_deinit, 0x4b06a992, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x068caf6c, "");
SYMBOL_CRC(rtw89_core_register, 0xedcb62d1, "");
SYMBOL_CRC(rtw89_core_unregister, 0x317338bb, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x448748f9, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xaea8c028, "");
SYMBOL_CRC(rtw89_ops, 0xe15bce68, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xd99e1221, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xdb612ce9, "");
SYMBOL_CRC(rtw89_mac_size, 0x3e3298fc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x434510ff, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x33b250be, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x6b0f8c2e, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0xca81cb2d, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x779f1baa, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x3f8ec415, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0x4580b87c, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xc84bf3f4, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x28773d25, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x33689670, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x5a9bc4e9, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x6a1fcb56, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x2a9692bc, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xe647043e, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xbdaeadae, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x05584945, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x2a4db646, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x194c9af4, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x6114ed9d, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x29672a7e, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x4faaa586, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x6bd56564, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xa6d7e111, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x95ae1630, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x13343ba2, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x6b57062c, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x0b6964c6, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x19c04e5a, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0xb5179947, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x24513ef0, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x0407ea47, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x53f533ba, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x26b77e12, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x075b1920, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x44cc67af, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x436a966f, "");
SYMBOL_CRC(rtw89_ser_notify, 0xdf6c478c, "");
SYMBOL_CRC(rtw89_debug_mask, 0xe3f57b04, "");
SYMBOL_CRC(rtw89_debug, 0xdd9c12c3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xad93fc38, "ieee80211_alloc_hw_nm" },
	{ 0x535aa9aa, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb274e071, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xdfac5a55, "ieee80211_ready_on_channel" },
	{ 0x1639b66d, "ieee80211_stop_queues" },
	{ 0xc3e1b113, "skb_unlink" },
	{ 0x9e119369, "seq_read" },
	{ 0x887e4d77, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xaa16a474, "ieee80211_scan_completed" },
	{ 0xfb9d8086, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24067450, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa26eddec, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17452315, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5657f78c, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc815abc4, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x46ae4ebf, "cfg80211_chandef_create" },
	{ 0xec413858, "ieee80211_cqm_rssi_notify" },
	{ 0x931886df, "seq_puts" },
	{ 0x177e90b3, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x745b7de5, "ieee80211_queue_work" },
	{ 0xdd0e3a54, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xd4f06f6, "napi_disable" },
	{ 0x27d23866, "dev_kfree_skb_any_reason" },
	{ 0xaea9c714, "_dev_printk" },
	{ 0xe2934fe1, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xe274bbfc, "debugfs_create_dir" },
	{ 0x337ab4a4, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x85ab10b1, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x92875305, "ieee80211_stop_tx_ba_session" },
	{ 0x1f586443, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4eb1db40, "ieee80211_connection_loss" },
	{ 0x1a43330d, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x55ed9f94, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7d5bfd8a, "__ieee80211_schedule_txq" },
	{ 0xaf75b5eb, "ieee80211_txq_get_depth" },
	{ 0x50749270, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d255037, "cfg80211_bss_iter" },
	{ 0xc100b01d, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5cf0a55c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x846a109a, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x352944e1, "ieee80211_free_hw" },
	{ 0x4b134270, "ieee80211_probereq_get" },
	{ 0x475f2cd6, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x61363900, "request_firmware" },
	{ 0x6098fd6d, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb53518a0, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x871bf7cc, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xddf751a1, "ieee80211_nullfunc_get" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0xf52f7528, "seq_lseek" },
	{ 0xfa386dbb, "ieee80211_pspoll_get" },
	{ 0x6ba42c21, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b9b104d, "ieee80211_restart_hw" },
	{ 0xfd9a1e26, "__netif_napi_del" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa0859cf9, "pskb_expand_head" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4758768b, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xfdc8cc47, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xdb988b37, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xcb364d5d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5a9d96c2, "wiphy_to_ieee80211_hw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x185c012e, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x8795c849, "simple_open" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa58d80, "ieee80211_next_txq" },
	{ 0x83e44fc3, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe77cb869, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf042dfd4, "skb_push" },
	{ 0x3ff7a205, "napi_enable" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x64474989, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x309a2565, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3fe052ee, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x58325c10, "dev_coredumpv" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "D9D01AA0D91F96866D75399");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
