#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0xac890737, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0x0c900ad5, "");
SYMBOL_CRC(pcmcia_dev_present, 0x3afffa6c, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0xea244b86, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0x74699e1b, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0x506e6c9c, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0x5d3d81b9, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0x067c4dc3, "");
SYMBOL_CRC(pcmcia_release_window, 0x9f8e3c10, "");
SYMBOL_CRC(pcmcia_enable_device, 0x9ca9160a, "");
SYMBOL_CRC(pcmcia_request_io, 0x2b2a840d, "");
SYMBOL_CRC(pcmcia_request_irq, 0xb6be6cab, "");
SYMBOL_CRC(pcmcia_request_window, 0x17351c65, "");
SYMBOL_CRC(pcmcia_disable_device, 0x26492f61, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0x5f917880, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0xcbcef73f, "");
SYMBOL_CRC(pcmcia_get_tuple, 0xdff214e4, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0x66752948, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98f103e8, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x3abf497e, "driver_unregister" },
	{ 0xe1c2cd0e, "class_interface_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x881c5b4f, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xae684cdf, "device_register" },
	{ 0xd8b25868, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0x264fb10f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1de741f1, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe4cad8ba, "_dev_notice" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa6bef025, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xed38af31, "pcmcia_put_socket" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbd22ade2, "param_ops_int" },
	{ 0xf5fea0b1, "sysfs_remove_bin_file" },
	{ 0x8265b78c, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x94a463cf, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9297cf95, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xf64c394, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x555b97f1, "dev_set_name" },
	{ 0x5b50a367, "driver_remove_file" },
	{ 0x72783b2e, "driver_attach" },
	{ 0x1710204e, "device_unregister" },
	{ 0x61363900, "request_firmware" },
	{ 0xc0bcc073, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6a4f070, "get_device" },
	{ 0x6097d61, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xed971a81, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6af3998, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa7953eea, "driver_create_file" },
	{ 0x59b30e66, "bus_for_each_dev" },
	{ 0xa2a8b5eb, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xd051fc56, "pccard_register_pcmcia" },
	{ 0x9ef18f27, "module_put" },
	{ 0x5adf93ad, "bus_unregister" },
	{ 0xd4d1e890, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "2A3EFF7A52F960C34944BBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
